#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(drm_atomic_helper_check_modeset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_wb_connector_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_crtc_primary_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_legacy_modeset_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_calc_timestamping_constants, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_disables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_modeset_enables, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_fences, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_vblanks, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_flip_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_tail_rpm, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_check, "", "");
KSYMTAB_FUNC(drm_atomic_helper_async_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_setup_commit, "", "");
KSYMTAB_FUNC(drm_atomic_helper_wait_for_dependencies, "", "");
KSYMTAB_FUNC(drm_atomic_helper_fake_vblank, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_hw_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_cleanup_done, "", "");
KSYMTAB_FUNC(drm_atomic_helper_prepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_unprepare_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_planes_on_crtc, "", "");
KSYMTAB_FUNC(drm_atomic_helper_cleanup_planes, "", "");
KSYMTAB_FUNC(drm_atomic_helper_swap_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_update_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_plane, "", "");
KSYMTAB_FUNC(drm_atomic_helper_set_config, "", "");
KSYMTAB_FUNC(drm_atomic_helper_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_shutdown, "", "");
KSYMTAB_FUNC(drm_atomic_helper_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_suspend, "", "");
KSYMTAB_FUNC(drm_atomic_helper_commit_duplicated_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_resume, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip, "", "");
KSYMTAB_FUNC(drm_atomic_helper_page_flip_target, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_propagate_bus_fmt, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_crtc_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_plane_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_state_reset, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_margins_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_tv_check, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_connector_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_private_obj_duplicate_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_duplicate_state, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_destroy_state, "", "");
KSYMTAB_FUNC(__drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_atomic_helper_bridge_reset, "", "");
KSYMTAB_FUNC(drm_helper_encoder_in_use, "", "");
KSYMTAB_FUNC(drm_helper_crtc_in_use, "", "");
KSYMTAB_FUNC(drm_helper_disable_unused_functions, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_mode, "", "");
KSYMTAB_FUNC(drm_crtc_helper_atomic_check, "", "");
KSYMTAB_FUNC(drm_crtc_helper_set_config, "", "");
KSYMTAB_FUNC(drm_helper_connector_dpms, "", "");
KSYMTAB_FUNC(drm_helper_resume_force_mode, "", "");
KSYMTAB_FUNC(drm_helper_force_disable_all, "", "");
KSYMTAB_FUNC(drm_atomic_helper_check_plane_damage, "", "");
KSYMTAB_FUNC(drm_atomic_helper_dirtyfb, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_init, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_iter_next, "", "");
KSYMTAB_FUNC(drm_atomic_helper_damage_merged, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_init, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_destroy, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_dpms, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_fixup, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_prepare, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_commit, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_mode_set, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_detect, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_save, "", "");
KSYMTAB_FUNC(drm_i2c_encoder_restore, "", "");
KSYMTAB_FUNC(drm_flip_work_queue, "", "");
KSYMTAB_FUNC(drm_flip_work_commit, "", "");
KSYMTAB_FUNC(drm_flip_work_init, "", "");
KSYMTAB_FUNC(drm_flip_work_cleanup, "", "");
KSYMTAB_FUNC(drm_format_conv_state_init, "", "");
KSYMTAB_FUNC(drm_format_conv_state_copy, "", "");
KSYMTAB_FUNC(drm_format_conv_state_reserve, "", "");
KSYMTAB_FUNC(drm_format_conv_state_release, "", "");
KSYMTAB_FUNC(drm_fb_clip_offset, "", "");
KSYMTAB_FUNC(drm_fb_memcpy, "", "");
KSYMTAB_FUNC(drm_fb_swab, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb332, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb565, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb1555, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgba5551, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_rgb888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb8888, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_xrgb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_argb2101010, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_gray8, "", "");
KSYMTAB_FUNC(drm_fb_blit, "", "");
KSYMTAB_FUNC(drm_fb_xrgb8888_to_mono, "", "");
KSYMTAB_FUNC(drm_fb_build_fourcc_list, "", "");
KSYMTAB_FUNC(drm_gem_plane_helper_prepare_fb, "_gpl", "");
KSYMTAB_FUNC(__drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(__drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_begin_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_end_shadow_fb_access, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_reset_shadow_plane, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_duplicate_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_simple_kms_destroy_shadow_plane_state, "", "");
KSYMTAB_FUNC(drm_gem_fb_get_obj, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_destroy, "", "");
KSYMTAB_FUNC(drm_gem_fb_create_handle, "", "");
KSYMTAB_FUNC(drm_gem_fb_init_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_funcs, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_create_with_dirty, "_gpl", "");
KSYMTAB_FUNC(drm_gem_fb_vmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_vunmap, "", "");
KSYMTAB_FUNC(drm_gem_fb_begin_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_end_cpu_access, "", "");
KSYMTAB_FUNC(drm_gem_fb_afbc_init, "_gpl", "");
KSYMTAB_FUNC(drm_helper_move_panel_connectors_to_head, "", "");
KSYMTAB_FUNC(drm_helper_mode_fill_fb_struct, "", "");
KSYMTAB_FUNC(drm_crtc_init, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_suspend, "", "");
KSYMTAB_FUNC(drm_mode_config_helper_resume, "", "");
KSYMTAB_FUNC(drm_plane_helper_update_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_disable_primary, "", "");
KSYMTAB_FUNC(drm_plane_helper_destroy, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_enable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_reschedule, "", "");
KSYMTAB_FUNC(drm_helper_probe_detect, "", "");
KSYMTAB_FUNC(drm_helper_probe_single_connector_modes, "", "");
KSYMTAB_FUNC(drm_kms_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_connector_hotplug_event, "", "");
KSYMTAB_FUNC(drm_kms_helper_is_poll_worker, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_disable, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_kms_helper_poll_fini, "", "");
KSYMTAB_FUNC(drmm_kms_helper_poll_init, "", "");
KSYMTAB_FUNC(drm_connector_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_helper_hpd_irq_event, "", "");
KSYMTAB_FUNC(drm_crtc_helper_mode_valid_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes_fixed, "", "");
KSYMTAB_FUNC(drm_connector_helper_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_tv_get_modes, "", "");
KSYMTAB_FUNC(drm_connector_helper_detect_from_ddc, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_update_avg_times, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_alter_state, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_init, "", "");
KSYMTAB_FUNC(drm_self_refresh_helper_cleanup, "", "");
KSYMTAB_FUNC(drm_simple_encoder_init, "", "");
KSYMTAB_FUNC(__drmm_simple_encoder_alloc, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_attach_bridge, "", "");
KSYMTAB_FUNC(drm_simple_display_pipe_init, "", "");
KSYMTAB_FUNC(drm_bridge_is_panel, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drm_panel_bridge_remove, "", "");
KSYMTAB_FUNC(drm_panel_bridge_set_orientation, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add, "", "");
KSYMTAB_FUNC(devm_drm_panel_bridge_add_typed, "", "");
KSYMTAB_FUNC(drmm_panel_bridge_add, "", "");
KSYMTAB_FUNC(drm_panel_bridge_connector, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_enter, "", "");
KSYMTAB_FUNC(drm_fb_helper_debug_leave, "", "");
KSYMTAB_FUNC(drm_fb_helper_restore_fbdev_mode_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_blank, "", "");
KSYMTAB_FUNC(drm_fb_helper_prepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_unprepare, "", "");
KSYMTAB_FUNC(drm_fb_helper_init, "", "");
KSYMTAB_FUNC(drm_fb_helper_alloc_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_release_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_unregister_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_fini, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_range, "", "");
KSYMTAB_FUNC(drm_fb_helper_damage_area, "", "");
KSYMTAB_FUNC(drm_fb_helper_deferred_io, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_suspend_unlocked, "", "");
KSYMTAB_FUNC(drm_fb_helper_setcmap, "", "");
KSYMTAB_FUNC(drm_fb_helper_ioctl, "", "");
KSYMTAB_FUNC(drm_fb_helper_check_var, "", "");
KSYMTAB_FUNC(drm_fb_helper_set_par, "", "");
KSYMTAB_FUNC(drm_fb_helper_pan_display, "", "");
KSYMTAB_FUNC(drm_fb_helper_fill_info, "", "");
KSYMTAB_FUNC(drm_fb_helper_initial_config, "", "");
KSYMTAB_FUNC(drm_fb_helper_hotplug_event, "", "");
KSYMTAB_FUNC(drm_fb_helper_lastclose, "", "");

SYMBOL_CRC(drm_atomic_helper_check_modeset, 0xb5c21f7b, "");
SYMBOL_CRC(drm_atomic_helper_check_wb_connector_state, 0x095eab67, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_state, 0xef476c6d, "");
SYMBOL_CRC(drm_atomic_helper_check_crtc_primary_plane, 0x68267ad6, "");
SYMBOL_CRC(drm_atomic_helper_check_planes, 0xf0ce516a, "");
SYMBOL_CRC(drm_atomic_helper_check, 0x20708de8, "");
SYMBOL_CRC(drm_atomic_helper_update_legacy_modeset_state, 0x879051a1, "");
SYMBOL_CRC(drm_atomic_helper_calc_timestamping_constants, 0x099b711e, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_disables, 0x0f8a7a0b, "");
SYMBOL_CRC(drm_atomic_helper_commit_modeset_enables, 0xbd0196ee, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_fences, 0x4e2c44a6, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_vblanks, 0xc4686cb9, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_flip_done, 0xbd103ab3, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail, 0x495dd51b, "");
SYMBOL_CRC(drm_atomic_helper_commit_tail_rpm, 0x04ad9654, "");
SYMBOL_CRC(drm_atomic_helper_async_check, 0x21e983c6, "");
SYMBOL_CRC(drm_atomic_helper_async_commit, 0x92751696, "");
SYMBOL_CRC(drm_atomic_helper_commit, 0xde2d1338, "");
SYMBOL_CRC(drm_atomic_helper_setup_commit, 0x4b50ab39, "");
SYMBOL_CRC(drm_atomic_helper_wait_for_dependencies, 0xf78a7eda, "");
SYMBOL_CRC(drm_atomic_helper_fake_vblank, 0x572d1475, "");
SYMBOL_CRC(drm_atomic_helper_commit_hw_done, 0x36f5be27, "");
SYMBOL_CRC(drm_atomic_helper_commit_cleanup_done, 0x647566d3, "");
SYMBOL_CRC(drm_atomic_helper_prepare_planes, 0x3cf89d5e, "");
SYMBOL_CRC(drm_atomic_helper_unprepare_planes, 0xd55ba243, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes, 0x54c9fdd4, "");
SYMBOL_CRC(drm_atomic_helper_commit_planes_on_crtc, 0xb3f9ce41, "");
SYMBOL_CRC(drm_atomic_helper_disable_planes_on_crtc, 0x74e8b215, "");
SYMBOL_CRC(drm_atomic_helper_cleanup_planes, 0x19c6385b, "");
SYMBOL_CRC(drm_atomic_helper_swap_state, 0xb0b8ec9f, "");
SYMBOL_CRC(drm_atomic_helper_update_plane, 0xb08d603d, "");
SYMBOL_CRC(drm_atomic_helper_disable_plane, 0x5a513163, "");
SYMBOL_CRC(drm_atomic_helper_set_config, 0x3cb93f51, "");
SYMBOL_CRC(drm_atomic_helper_disable_all, 0x683557ee, "");
SYMBOL_CRC(drm_atomic_helper_shutdown, 0xbfff962a, "");
SYMBOL_CRC(drm_atomic_helper_duplicate_state, 0xf9bdaaae, "");
SYMBOL_CRC(drm_atomic_helper_suspend, 0xac47e430, "");
SYMBOL_CRC(drm_atomic_helper_commit_duplicated_state, 0x9faf201d, "");
SYMBOL_CRC(drm_atomic_helper_resume, 0x6d267646, "");
SYMBOL_CRC(drm_atomic_helper_page_flip, 0xf9c941ca, "");
SYMBOL_CRC(drm_atomic_helper_page_flip_target, 0xd8906d73, "");
SYMBOL_CRC(drm_atomic_helper_bridge_propagate_bus_fmt, 0xd8139504, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_state_reset, 0x07b45b19, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_reset, 0xd6bac324, "");
SYMBOL_CRC(drm_atomic_helper_crtc_reset, 0xad1656d2, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_duplicate_state, 0xec895d7a, "");
SYMBOL_CRC(drm_atomic_helper_crtc_duplicate_state, 0x3540d04c, "");
SYMBOL_CRC(__drm_atomic_helper_crtc_destroy_state, 0x39a93a28, "");
SYMBOL_CRC(drm_atomic_helper_crtc_destroy_state, 0x6f38b812, "");
SYMBOL_CRC(__drm_atomic_helper_plane_state_reset, 0x884ff030, "");
SYMBOL_CRC(__drm_atomic_helper_plane_reset, 0xcdb82f2c, "");
SYMBOL_CRC(drm_atomic_helper_plane_reset, 0x7e51145f, "");
SYMBOL_CRC(__drm_atomic_helper_plane_duplicate_state, 0x9b3eb5e4, "");
SYMBOL_CRC(drm_atomic_helper_plane_duplicate_state, 0xa68706a0, "");
SYMBOL_CRC(__drm_atomic_helper_plane_destroy_state, 0x02e33a28, "");
SYMBOL_CRC(drm_atomic_helper_plane_destroy_state, 0xb699aa28, "");
SYMBOL_CRC(__drm_atomic_helper_connector_state_reset, 0xe08e7ea4, "");
SYMBOL_CRC(__drm_atomic_helper_connector_reset, 0xbf2cefa5, "");
SYMBOL_CRC(drm_atomic_helper_connector_reset, 0x4505479f, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_margins_reset, 0x15d5aae5, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_reset, 0x2bd99a25, "");
SYMBOL_CRC(drm_atomic_helper_connector_tv_check, 0x8d1b790a, "");
SYMBOL_CRC(__drm_atomic_helper_connector_duplicate_state, 0x8bee7923, "");
SYMBOL_CRC(drm_atomic_helper_connector_duplicate_state, 0xf5befd32, "");
SYMBOL_CRC(__drm_atomic_helper_connector_destroy_state, 0xb27d1c9d, "");
SYMBOL_CRC(drm_atomic_helper_connector_destroy_state, 0x82324dac, "");
SYMBOL_CRC(__drm_atomic_helper_private_obj_duplicate_state, 0xb3c83b78, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_duplicate_state, 0x834bc4ec, "");
SYMBOL_CRC(drm_atomic_helper_bridge_duplicate_state, 0xe54913dc, "");
SYMBOL_CRC(drm_atomic_helper_bridge_destroy_state, 0x08ae79eb, "");
SYMBOL_CRC(__drm_atomic_helper_bridge_reset, 0x6ac57c09, "");
SYMBOL_CRC(drm_atomic_helper_bridge_reset, 0x23fd13ba, "");
SYMBOL_CRC(drm_helper_encoder_in_use, 0xd90ec7d4, "");
SYMBOL_CRC(drm_helper_crtc_in_use, 0x281ca9ec, "");
SYMBOL_CRC(drm_helper_disable_unused_functions, 0xd37de860, "");
SYMBOL_CRC(drm_crtc_helper_set_mode, 0xc2c03832, "");
SYMBOL_CRC(drm_crtc_helper_atomic_check, 0x40932321, "");
SYMBOL_CRC(drm_crtc_helper_set_config, 0x26e64ec7, "");
SYMBOL_CRC(drm_helper_connector_dpms, 0xb71cad1a, "");
SYMBOL_CRC(drm_helper_resume_force_mode, 0x3c286c4d, "");
SYMBOL_CRC(drm_helper_force_disable_all, 0x3337bdcb, "");
SYMBOL_CRC(drm_atomic_helper_check_plane_damage, 0x39299774, "");
SYMBOL_CRC(drm_atomic_helper_dirtyfb, 0x11aa1a36, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_init, 0xff793ab6, "");
SYMBOL_CRC(drm_atomic_helper_damage_iter_next, 0x6b5c2b06, "");
SYMBOL_CRC(drm_atomic_helper_damage_merged, 0x7cc480b4, "");
SYMBOL_CRC(drm_i2c_encoder_init, 0x632fe543, "");
SYMBOL_CRC(drm_i2c_encoder_destroy, 0xc04e3248, "");
SYMBOL_CRC(drm_i2c_encoder_dpms, 0x246f6926, "");
SYMBOL_CRC(drm_i2c_encoder_mode_fixup, 0xcf0c524a, "");
SYMBOL_CRC(drm_i2c_encoder_prepare, 0xeafcde1a, "");
SYMBOL_CRC(drm_i2c_encoder_commit, 0xded80e0b, "");
SYMBOL_CRC(drm_i2c_encoder_mode_set, 0x53cb1a45, "");
SYMBOL_CRC(drm_i2c_encoder_detect, 0xfa8f2219, "");
SYMBOL_CRC(drm_i2c_encoder_save, 0xacd5e8d5, "");
SYMBOL_CRC(drm_i2c_encoder_restore, 0xef8401ce, "");
SYMBOL_CRC(drm_flip_work_queue, 0x7964f9dc, "");
SYMBOL_CRC(drm_flip_work_commit, 0xc460392a, "");
SYMBOL_CRC(drm_flip_work_init, 0x93cec5c7, "");
SYMBOL_CRC(drm_flip_work_cleanup, 0x5aa2b037, "");
SYMBOL_CRC(drm_format_conv_state_init, 0x29c6141b, "");
SYMBOL_CRC(drm_format_conv_state_copy, 0xface4acd, "");
SYMBOL_CRC(drm_format_conv_state_reserve, 0xd09bd550, "");
SYMBOL_CRC(drm_format_conv_state_release, 0xd68515a0, "");
SYMBOL_CRC(drm_fb_clip_offset, 0xb6a6b711, "");
SYMBOL_CRC(drm_fb_memcpy, 0x0ae1db88, "");
SYMBOL_CRC(drm_fb_swab, 0x018d83d6, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb332, 0x11af41c7, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb565, 0x07c9da5f, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb1555, 0xf249e741, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb1555, 0xdfe71473, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgba5551, 0x5b4ca518, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_rgb888, 0x344f611b, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb8888, 0xec350ce9, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_xrgb2101010, 0xa1f34512, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_argb2101010, 0x88e34850, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_gray8, 0x66a80b53, "");
SYMBOL_CRC(drm_fb_blit, 0x7c1c20c4, "");
SYMBOL_CRC(drm_fb_xrgb8888_to_mono, 0xde663804, "");
SYMBOL_CRC(drm_fb_build_fourcc_list, 0x6551189f, "");
SYMBOL_CRC(drm_gem_plane_helper_prepare_fb, 0x3573f75c, "_gpl");
SYMBOL_CRC(__drm_gem_duplicate_shadow_plane_state, 0x0a7989d6, "");
SYMBOL_CRC(drm_gem_duplicate_shadow_plane_state, 0xc977be1b, "");
SYMBOL_CRC(__drm_gem_destroy_shadow_plane_state, 0x27f61649, "");
SYMBOL_CRC(drm_gem_destroy_shadow_plane_state, 0x9eab8474, "");
SYMBOL_CRC(__drm_gem_reset_shadow_plane, 0x200e840d, "");
SYMBOL_CRC(drm_gem_reset_shadow_plane, 0xbf06b5dc, "");
SYMBOL_CRC(drm_gem_begin_shadow_fb_access, 0xf291bf94, "");
SYMBOL_CRC(drm_gem_end_shadow_fb_access, 0x4cf13dc5, "");
SYMBOL_CRC(drm_gem_simple_kms_begin_shadow_fb_access, 0x68b261d1, "");
SYMBOL_CRC(drm_gem_simple_kms_end_shadow_fb_access, 0x882d51fc, "");
SYMBOL_CRC(drm_gem_simple_kms_reset_shadow_plane, 0x668ec4a4, "");
SYMBOL_CRC(drm_gem_simple_kms_duplicate_shadow_plane_state, 0xa72f7ad2, "");
SYMBOL_CRC(drm_gem_simple_kms_destroy_shadow_plane_state, 0xbd7bc247, "");
SYMBOL_CRC(drm_gem_fb_get_obj, 0x1901bb5e, "_gpl");
SYMBOL_CRC(drm_gem_fb_destroy, 0xd9d114e3, "");
SYMBOL_CRC(drm_gem_fb_create_handle, 0x3c70a078, "");
SYMBOL_CRC(drm_gem_fb_init_with_funcs, 0xcbf80828, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_funcs, 0xbb8dfb13, "_gpl");
SYMBOL_CRC(drm_gem_fb_create, 0x7609ac72, "_gpl");
SYMBOL_CRC(drm_gem_fb_create_with_dirty, 0xf1ad8898, "_gpl");
SYMBOL_CRC(drm_gem_fb_vmap, 0x31d9c5c1, "");
SYMBOL_CRC(drm_gem_fb_vunmap, 0x4a78668e, "");
SYMBOL_CRC(drm_gem_fb_begin_cpu_access, 0x1a56cfa9, "");
SYMBOL_CRC(drm_gem_fb_end_cpu_access, 0x9b2a3ba7, "");
SYMBOL_CRC(drm_gem_fb_afbc_init, 0xb75c615a, "_gpl");
SYMBOL_CRC(drm_helper_move_panel_connectors_to_head, 0x6ae2c83d, "");
SYMBOL_CRC(drm_helper_mode_fill_fb_struct, 0xe19c8810, "");
SYMBOL_CRC(drm_crtc_init, 0x2646dc66, "");
SYMBOL_CRC(drm_mode_config_helper_suspend, 0x92bd8f04, "");
SYMBOL_CRC(drm_mode_config_helper_resume, 0x1f7310c7, "");
SYMBOL_CRC(drm_plane_helper_update_primary, 0xbdc42a01, "");
SYMBOL_CRC(drm_plane_helper_disable_primary, 0x4325efd1, "");
SYMBOL_CRC(drm_plane_helper_destroy, 0x0d979618, "");
SYMBOL_CRC(drm_kms_helper_poll_enable, 0xb1b36cc6, "");
SYMBOL_CRC(drm_kms_helper_poll_reschedule, 0x1cfbc1a9, "");
SYMBOL_CRC(drm_helper_probe_detect, 0x9836e79d, "");
SYMBOL_CRC(drm_helper_probe_single_connector_modes, 0xa1882e33, "");
SYMBOL_CRC(drm_kms_helper_hotplug_event, 0x9f914523, "");
SYMBOL_CRC(drm_kms_helper_connector_hotplug_event, 0x73fe4b7f, "");
SYMBOL_CRC(drm_kms_helper_is_poll_worker, 0x5a4734d1, "");
SYMBOL_CRC(drm_kms_helper_poll_disable, 0x5e7c697d, "");
SYMBOL_CRC(drm_kms_helper_poll_init, 0x6ba24dd3, "");
SYMBOL_CRC(drm_kms_helper_poll_fini, 0x229c79f4, "");
SYMBOL_CRC(drmm_kms_helper_poll_init, 0xd09278a6, "");
SYMBOL_CRC(drm_connector_helper_hpd_irq_event, 0xd71d3271, "");
SYMBOL_CRC(drm_helper_hpd_irq_event, 0x0bae7cc6, "");
SYMBOL_CRC(drm_crtc_helper_mode_valid_fixed, 0x698ab1b7, "");
SYMBOL_CRC(drm_connector_helper_get_modes_fixed, 0x62d92a5b, "");
SYMBOL_CRC(drm_connector_helper_get_modes, 0xb713f64e, "");
SYMBOL_CRC(drm_connector_helper_tv_get_modes, 0x242df0aa, "");
SYMBOL_CRC(drm_connector_helper_detect_from_ddc, 0xb7e3c0e2, "");
SYMBOL_CRC(drm_self_refresh_helper_update_avg_times, 0x1dfb68b6, "");
SYMBOL_CRC(drm_self_refresh_helper_alter_state, 0xb4190118, "");
SYMBOL_CRC(drm_self_refresh_helper_init, 0x8d10eabe, "");
SYMBOL_CRC(drm_self_refresh_helper_cleanup, 0x3470e322, "");
SYMBOL_CRC(drm_simple_encoder_init, 0x32f9efe2, "");
SYMBOL_CRC(__drmm_simple_encoder_alloc, 0x122e7ccb, "");
SYMBOL_CRC(drm_simple_display_pipe_attach_bridge, 0x428f8038, "");
SYMBOL_CRC(drm_simple_display_pipe_init, 0x47ae3d67, "");
SYMBOL_CRC(drm_bridge_is_panel, 0xeb7f5a4a, "");
SYMBOL_CRC(drm_panel_bridge_add, 0xddf58dd9, "");
SYMBOL_CRC(drm_panel_bridge_add_typed, 0x0fdb4b9d, "");
SYMBOL_CRC(drm_panel_bridge_remove, 0x7372c33a, "");
SYMBOL_CRC(drm_panel_bridge_set_orientation, 0xe98989ef, "");
SYMBOL_CRC(devm_drm_panel_bridge_add, 0x9faf813f, "");
SYMBOL_CRC(devm_drm_panel_bridge_add_typed, 0xab4e67e3, "");
SYMBOL_CRC(drmm_panel_bridge_add, 0x905bba84, "");
SYMBOL_CRC(drm_panel_bridge_connector, 0x478166f1, "");
SYMBOL_CRC(drm_fb_helper_debug_enter, 0x7d359728, "");
SYMBOL_CRC(drm_fb_helper_debug_leave, 0x0eef3f1c, "");
SYMBOL_CRC(drm_fb_helper_restore_fbdev_mode_unlocked, 0x9928b6ca, "");
SYMBOL_CRC(drm_fb_helper_blank, 0x72f320f9, "");
SYMBOL_CRC(drm_fb_helper_prepare, 0x8e09c413, "");
SYMBOL_CRC(drm_fb_helper_unprepare, 0x31883801, "");
SYMBOL_CRC(drm_fb_helper_init, 0x2f927293, "");
SYMBOL_CRC(drm_fb_helper_alloc_info, 0xfc4d6c87, "");
SYMBOL_CRC(drm_fb_helper_release_info, 0x80869fb4, "");
SYMBOL_CRC(drm_fb_helper_unregister_info, 0x3ccfa0e5, "");
SYMBOL_CRC(drm_fb_helper_fini, 0xa3ea6f30, "");
SYMBOL_CRC(drm_fb_helper_damage_range, 0x1c76891b, "");
SYMBOL_CRC(drm_fb_helper_damage_area, 0xd53dd228, "");
SYMBOL_CRC(drm_fb_helper_deferred_io, 0x6a7491b7, "");
SYMBOL_CRC(drm_fb_helper_set_suspend, 0xb73573cc, "");
SYMBOL_CRC(drm_fb_helper_set_suspend_unlocked, 0x68e0c99b, "");
SYMBOL_CRC(drm_fb_helper_setcmap, 0x124ea3b7, "");
SYMBOL_CRC(drm_fb_helper_ioctl, 0x1e967269, "");
SYMBOL_CRC(drm_fb_helper_check_var, 0x8d93a666, "");
SYMBOL_CRC(drm_fb_helper_set_par, 0x575cf23e, "");
SYMBOL_CRC(drm_fb_helper_pan_display, 0x0878e101, "");
SYMBOL_CRC(drm_fb_helper_fill_info, 0x70f2d806, "");
SYMBOL_CRC(drm_fb_helper_initial_config, 0x3e7ab13f, "");
SYMBOL_CRC(drm_fb_helper_hotplug_event, 0x8cbe920a, "");
SYMBOL_CRC(drm_fb_helper_lastclose, 0x1b39b471, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xed57e567, "unregister_framebuffer" },
	{ 0x830ab0f6, "drm_atomic_get_old_crtc_for_encoder" },
	{ 0xad3a1dcf, "drm_framebuffer_cleanup" },
	{ 0x14d40c90, "drm_writeback_prepare_job" },
	{ 0xf1b5340a, "drm_mode_vrefresh" },
	{ 0xcc2df1a1, "drm_panel_get_modes" },
	{ 0xea3b6c9c, "drm_gem_vmap_unlocked" },
	{ 0xce342ede, "try_module_get" },
	{ 0x09795a51, "drm_connector_list_update" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x8726b2d8, "drm_bridge_add" },
	{ 0xb7d1ea81, "drm_bridge_chain_mode_valid" },
	{ 0x75c174a8, "unregister_sysrq_key" },
	{ 0x9edbcf33, "drm_connector_register" },
	{ 0xb11ac7a7, "__drm_err" },
	{ 0xe6d46611, "drm_panic_is_enabled" },
	{ 0xff8b56a9, "wait_for_completion_timeout" },
	{ 0x98a0c05b, "devm_kmalloc" },
	{ 0x5bb13dc7, "drm_client_rotation" },
	{ 0x9f3fd414, "drm_panel_enable" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0xec9d995b, "drm_framebuffer_init" },
	{ 0xcf766eca, "drm_mode_validate_driver" },
	{ 0x19399406, "drm_atomic_add_affected_planes" },
	{ 0xb961a940, "dma_buf_end_cpu_access" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x94e00423, "drm_modeset_unlock_all" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x86ff43a6, "drm_mode_probed_add" },
	{ 0x3e246d46, "drm_atomic_add_affected_connectors" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xa529013b, "drm_client_dev_resume" },
	{ 0x2d50570f, "drm_rect_calc_hscale" },
	{ 0x4f18a7b3, "drm_gem_vunmap_unlocked" },
	{ 0x46cec06a, "drm_crtc_vblank_count" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0xfdb7f6a9, "finish_wait" },
	{ 0x2aac3ff7, "drm_modeset_lock_all" },
	{ 0x0d9b4753, "drm_mode_equal" },
	{ 0x1bb4f55d, "drm_atomic_bridge_chain_enable" },
	{ 0x99fd20aa, "drm_rect_clip_scaled" },
	{ 0x397c3d27, "drm_edid_free" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0xe9dab3b3, "drm_mode_object_get" },
	{ 0xe1aaa4db, "drm_edid_override_connector_update" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xb9cad492, "__drm_atomic_state_free" },
	{ 0x9b971938, "drm_driver_legacy_fb_format" },
	{ 0x4e5d78a0, "drm_crtc_cleanup" },
	{ 0x2e73b389, "drm_connector_list_iter_begin" },
	{ 0x04473270, "drm_mode_set_config_internal" },
	{ 0x23924a48, "prepare_to_wait_event" },
	{ 0x6fdbc8e8, "framebuffer_alloc" },
	{ 0x55f8d54e, "drm_encoder_cleanup" },
	{ 0x7ba326d2, "drm_modeset_acquire_init" },
	{ 0x554b16f9, "dma_fence_set_deadline" },
	{ 0x52b39c31, "drm_client_modeset_probe" },
	{ 0xfe152840, "drm_warn_on_modeset_not_all_locked" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0x71634d21, "drm_client_dev_suspend" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xca64fb6b, "drm_plane_get_damage_clips" },
	{ 0xd923eed6, "devres_add" },
	{ 0xff95e0c7, "dma_fence_wait_timeout" },
	{ 0xf5f47864, "drm_add_modes_noedid" },
	{ 0xd7247024, "drm_bridge_remove" },
	{ 0xfba921d6, "drm_mode_object_put" },
	{ 0xf7d8ef20, "dev_driver_string" },
	{ 0xc6fc0c31, "drm_crtc_vblank_get" },
	{ 0xbc72d67c, "drm_gem_object_lookup" },
	{ 0xed5dbe92, "drm_crtc_send_vblank_event" },
	{ 0xa32b213a, "drm_connector_attach_encoder" },
	{ 0xcd0c29d2, "wait_for_completion_interruptible_timeout" },
	{ 0x6eed5628, "drm_atomic_normalize_zpos" },
	{ 0x36f096af, "drm_edid_connector_update" },
	{ 0xbcabb94d, "drm_sysfs_hotplug_event" },
	{ 0xb053adda, "drm_rect_rotate" },
	{ 0xef4ee45d, "_raw_spin_lock_irq" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0x43bd54be, "__drmm_add_action_or_reset" },
	{ 0x03851092, "drm_crtc_vblank_reset" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x40d04664, "console_trylock" },
	{ 0x8bfce8c4, "drm_connector_list_iter_end" },
	{ 0x658d60eb, "drm_atomic_set_crtc_for_plane" },
	{ 0xb4cdd89f, "drm_client_modeset_dpms" },
	{ 0x53e4f92a, "drm_mode_prune_invalid" },
	{ 0xe27e1b70, "drm_client_dev_hotplug" },
	{ 0xe5f78d28, "_dev_info" },
	{ 0xbc86a237, "dma_resv_get_singleton" },
	{ 0xb1c3a01a, "oops_in_progress" },
	{ 0x6949d05c, "drm_plane_cleanup" },
	{ 0x4575a0ca, "drm_mode_set_crtcinfo" },
	{ 0x938e26b2, "module_put" },
	{ 0x26f67b2d, "dma_buf_begin_cpu_access" },
	{ 0x098b71c6, "fb_dealloc_cmap" },
	{ 0xb0684185, "drm_atomic_get_crtc_state" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xd680a377, "drm_gem_object_free" },
	{ 0x25906b02, "drm_client_init" },
	{ 0x00ef0f8d, "drm_crtc_wait_one_vblank" },
	{ 0x235327f0, "drm_crtc_next_vblank_start" },
	{ 0xc50fc0c7, "__drmm_encoder_alloc" },
	{ 0xd7a9cf42, "drm_mode_validate_size" },
	{ 0xc9a5e3f9, "drm_driver_color_mode_format" },
	{ 0xb4709ed5, "drm_modeset_lock" },
	{ 0x9e15065c, "drm_client_modeset_commit_locked" },
	{ 0x1a6a0425, "drm_modeset_unlock" },
	{ 0xcde0617a, "drm_panel_disable" },
	{ 0x9461332b, "drm_property_replace_blob" },
	{ 0x6910e4cd, "drm_format_info_min_pitch" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0xe2f80f03, "drm_connector_init" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x4e41bcc0, "devm_kfree" },
	{ 0x081b9858, "_dev_err" },
	{ 0x2e8beb2b, "drm_writeback_cleanup_job" },
	{ 0x0a4b9e77, "drm_modeset_lock_all_ctx" },
	{ 0x72ac0a90, "i2c_unregister_device" },
	{ 0x3e1e9aa5, "drm_atomic_set_fb_for_plane" },
	{ 0xf91c0e7c, "__drm_universal_plane_alloc" },
	{ 0xbe33aaf8, "drm_edid_connector_add_modes" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x5dbae0d0, "drm_probe_ddc" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x74fc6fbd, "drm_format_info_block_width" },
	{ 0xfbaaf01e, "console_lock" },
	{ 0x7469600a, "__devres_alloc_node" },
	{ 0xfc5f2b69, "drm_edid_read" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x53c24b01, "mutex_is_locked" },
	{ 0xc32f6b3b, "drm_crtc_commit_wait" },
	{ 0xfa395db1, "drm_dev_has_vblank" },
	{ 0xb9ebe406, "register_framebuffer" },
	{ 0x6f53043d, "wait_for_completion_interruptible" },
	{ 0x6e92449c, "__drm_atomic_helper_disable_plane" },
	{ 0x2842971b, "drm_connector_set_orientation_from_panel" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x734a3656, "drm_gem_handle_create" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf3927c02, "drm_atomic_set_crtc_for_connector" },
	{ 0x6e30ba8e, "drm_rect_rotate_inv" },
	{ 0xbf75a185, "drm_analog_tv_mode" },
	{ 0xc4c71d49, "drm_crtc_init_with_planes" },
	{ 0x07a890c8, "fb_alloc_cmap" },
	{ 0x1c6bb11b, "drm_mode_duplicate" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xc243faca, "drm_crtc_vblank_put" },
	{ 0xac2c2134, "i2c_new_client_device" },
	{ 0xb93a6a2e, "zpci_write_block" },
	{ 0x4a35d30d, "drm_mode_set_name" },
	{ 0xb9d03e38, "__drm_dev_dbg" },
	{ 0xa1652861, "drm_plane_get_damage_clips_count" },
	{ 0xd633d182, "drm_atomic_commit" },
	{ 0x9ce050be, "drm_mode_copy" },
	{ 0xe72d8ebb, "drm_atomic_state_alloc" },
	{ 0xd9dd143d, "drm_client_modeset_commit" },
	{ 0x18644b7d, "_dev_warn" },
	{ 0x871ab41a, "drm_rect_intersect" },
	{ 0xdb02500d, "drm_atomic_bridge_chain_post_disable" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xb2ec7111, "drm_connector_update_edid_property" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xcb2340b8, "drm_rect_debug_print" },
	{ 0xe633a4cd, "drm_format_info_bpp" },
	{ 0xc631580a, "console_unlock" },
	{ 0x98fb194e, "fb_set_suspend" },
	{ 0x6108288f, "complete_all" },
	{ 0x895818e4, "drm_atomic_get_new_crtc_for_encoder" },
	{ 0x21ae6d89, "drm_client_release" },
	{ 0xae277372, "__drm_crtc_commit_free" },
	{ 0xc6fceba9, "__drm_atomic_helper_set_config" },
	{ 0x24b8528f, "mutex_trylock" },
	{ 0x590778aa, "drm_atomic_set_mode_prop_for_crtc" },
	{ 0x6732e83f, "drm_connector_cleanup" },
	{ 0xb29f72c5, "drm_get_format_info" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xf739381f, "drm_universal_plane_init" },
	{ 0x0d8ce121, "drm_any_plane_has_format" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xab918e8c, "drm_connector_list_iter_next" },
	{ 0x3958e2fa, "drm_modeset_acquire_fini" },
	{ 0xb1de8702, "drm_encoder_init" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x152fd5c0, "drm_object_property_get_default_value" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xdfcc992c, "current_work" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xce7eb7fe, "param_ops_bool" },
	{ 0x4e96a9b4, "drm_master_internal_acquire" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x79f21c4e, "drm_modeset_backoff" },
	{ 0x661ea3df, "drm_panel_prepare" },
	{ 0xd394f981, "drm_bridge_chain_mode_set" },
	{ 0xf1421d13, "drm_mode_sort" },
	{ 0xe63f0f08, "drm_atomic_get_plane_state" },
	{ 0x6280ac9d, "drm_atomic_bridge_chain_check" },
	{ 0x8d7a6f35, "dma_fence_chain_init" },
	{ 0xe7b9867a, "register_sysrq_key" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xaed857e7, "drm_property_blob_get" },
	{ 0xd4c14632, "system_unbound_wq" },
	{ 0x84a2de77, "drm_property_blob_put" },
	{ 0xb750df09, "drm_mode_destroy" },
	{ 0x5390e54a, "drm_bridge_attach" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x4d75301c, "drm_set_preferred_mode" },
	{ 0x39ff41be, "drm_atomic_bridge_chain_pre_enable" },
	{ 0x984b9f3c, "drm_atomic_state_clear" },
	{ 0x018c48b1, "drm_mode_config_reset" },
	{ 0xaea11259, "drm_property_create_blob" },
	{ 0x55eb38da, "drm_format_info" },
	{ 0xea991d3d, "drm_modeset_drop_locks" },
	{ 0x19c9d5b2, "framebuffer_release" },
	{ 0xe123f3d9, "dma_fence_release" },
	{ 0x14b1bb66, "drm_atomic_bridge_chain_disable" },
	{ 0x69dd1ded, "drm_mode_create_from_cmdline_mode" },
	{ 0x0e9b358b, "drm_mode_validate_ycbcr420" },
	{ 0x982d09b3, "drm_format_info_block_height" },
	{ 0x10a63a66, "param_ops_int" },
	{ 0x9f534df4, "drm_atomic_nonblocking_commit" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x20661b56, "debugfs_create_dir" },
	{ 0xb1176e59, "try_wait_for_completion" },
	{ 0x91fec1cc, "drm_rect_calc_vscale" },
	{ 0xcf97c0f7, "drm_master_internal_release" },
	{ 0xc6c0eb10, "drm_calc_timestamping_constants" },
	{ 0xcdb99cc9, "drm_mode_init" },
	{ 0x0fd60df2, "drm_get_connector_status_name" },
	{ 0x53c715bf, "drm_panel_unprepare" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0x4012df4f, "krealloc_noprof" },
	{ 0x7532f121, "drm_atomic_add_encoder_bridges" },
	{ 0x4bddc328, "drm_atomic_get_connector_state" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x90fed26e, "drm_sysfs_connector_hotplug_event" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4403a9c3, "drm_mode_get_hv_timing" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "fb,drm,i2c-core");


MODULE_INFO(srcversion, "536F66C840916099974D97C");
