#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rc_map_get, "_gpl", "");
KSYMTAB_FUNC(rc_map_register, "_gpl", "");
KSYMTAB_FUNC(rc_map_unregister, "_gpl", "");
KSYMTAB_FUNC(rc_g_keycode_from_table, "_gpl", "");
KSYMTAB_FUNC(rc_keyup, "_gpl", "");
KSYMTAB_FUNC(rc_repeat, "_gpl", "");
KSYMTAB_FUNC(rc_keydown, "_gpl", "");
KSYMTAB_FUNC(rc_keydown_notimeout, "_gpl", "");
KSYMTAB_FUNC(rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_free_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_allocate_device, "_gpl", "");
KSYMTAB_FUNC(rc_register_device, "_gpl", "");
KSYMTAB_FUNC(devm_rc_register_device, "_gpl", "");
KSYMTAB_FUNC(rc_unregister_device, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_edge, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_timeout, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_store_with_filter, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_set_idle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_event_handle, "_gpl", "");
KSYMTAB_FUNC(ir_raw_gen_manchester, "", "");
KSYMTAB_FUNC(ir_raw_gen_pd, "", "");
KSYMTAB_FUNC(ir_raw_gen_pl, "", "");
KSYMTAB_FUNC(ir_raw_encode_scancode, "", "");
KSYMTAB_FUNC(ir_raw_encode_carrier, "", "");
KSYMTAB_FUNC(ir_raw_handler_register, "", "");
KSYMTAB_FUNC(ir_raw_handler_unregister, "", "");

SYMBOL_CRC(rc_map_get, 0x0391839c, "_gpl");
SYMBOL_CRC(rc_map_register, 0xd95afd2b, "_gpl");
SYMBOL_CRC(rc_map_unregister, 0xc1cdf062, "_gpl");
SYMBOL_CRC(rc_g_keycode_from_table, 0x9e4083f6, "_gpl");
SYMBOL_CRC(rc_keyup, 0xda7b0160, "_gpl");
SYMBOL_CRC(rc_repeat, 0x42e25182, "_gpl");
SYMBOL_CRC(rc_keydown, 0xf2d69216, "_gpl");
SYMBOL_CRC(rc_keydown_notimeout, 0x0d6a38f1, "_gpl");
SYMBOL_CRC(rc_allocate_device, 0x81c3ea95, "_gpl");
SYMBOL_CRC(rc_free_device, 0x2ca07330, "_gpl");
SYMBOL_CRC(devm_rc_allocate_device, 0x1a504c0c, "_gpl");
SYMBOL_CRC(rc_register_device, 0x2468a92f, "_gpl");
SYMBOL_CRC(devm_rc_register_device, 0xdffb56bb, "_gpl");
SYMBOL_CRC(rc_unregister_device, 0x1f511a75, "_gpl");
SYMBOL_CRC(ir_raw_event_store, 0xf4fc660a, "_gpl");
SYMBOL_CRC(ir_raw_event_store_edge, 0xdc57b918, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_timeout, 0xe7408a32, "_gpl");
SYMBOL_CRC(ir_raw_event_store_with_filter, 0x1d9ecdad, "_gpl");
SYMBOL_CRC(ir_raw_event_set_idle, 0xcfc04b79, "_gpl");
SYMBOL_CRC(ir_raw_event_handle, 0x79ea88a7, "_gpl");
SYMBOL_CRC(ir_raw_gen_manchester, 0xce3696f3, "");
SYMBOL_CRC(ir_raw_gen_pd, 0x2fe55cf5, "");
SYMBOL_CRC(ir_raw_gen_pl, 0x7a02ee87, "");
SYMBOL_CRC(ir_raw_encode_scancode, 0x01098f88, "");
SYMBOL_CRC(ir_raw_encode_carrier, 0xb5516017, "");
SYMBOL_CRC(ir_raw_handler_register, 0x0cf55d69, "");
SYMBOL_CRC(ir_raw_handler_unregister, 0xfde4b7ae, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbbf2156e, "input_allocate_device" },
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x6974ba74, "dev_set_name" },
	{ 0xa3a5be95, "memmove" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xccb491e8, "bsearch" },
	{ 0xea982e8d, "device_initialize" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x0acb42ff, "input_unregister_device" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x85156a9e, "kobject_get_path" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0xb3f7646e, "kthread_should_stop" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xeb672358, "__module_get" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0xf17fcac0, "__dynamic_dev_dbg" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xd923eed6, "devres_add" },
	{ 0x54013939, "wake_up_process" },
	{ 0xf8c400b3, "input_free_device" },
	{ 0x92997ed8, "_printk" },
	{ 0x01000e51, "schedule" },
	{ 0x2085668e, "input_register_device" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x18f0d887, "put_device" },
	{ 0xe5f78d28, "_dev_info" },
	{ 0x938e26b2, "module_put" },
	{ 0x081b9858, "_dev_err" },
	{ 0xdccb5f89, "device_add" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x7469600a, "__devres_alloc_node" },
	{ 0xaafdc258, "strcasecmp" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x497e5b97, "class_unregister" },
	{ 0xb5a41188, "kthread_stop" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x0cb2d6d6, "device_del" },
	{ 0x18644b7d, "_dev_warn" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x627e44b4, "input_event" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe798236d, "jiffies" },
	{ 0x4af1d551, "kthread_create_on_node" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x85df9b6c, "strsep" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0xe93e49c3, "devres_free" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0xf738387f, "class_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "24B76C6D8558FA58636CE83");
