#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(nvmet_fc_register_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_invalidate_host, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_unregister_targetport, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_ls_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_req, "_gpl", "");
KSYMTAB_FUNC(nvmet_fc_rcv_fcp_abort, "_gpl", "");

SYMBOL_CRC(nvmet_fc_register_targetport, 0xd5430fe8, "_gpl");
SYMBOL_CRC(nvmet_fc_invalidate_host, 0x4a013682, "_gpl");
SYMBOL_CRC(nvmet_fc_unregister_targetport, 0x9ef76d99, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_ls_req, 0x0b98123d, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_req, 0x7bfa9497, "_gpl");
SYMBOL_CRC(nvmet_fc_rcv_fcp_abort, 0x6ff62dab, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc31db0ce, "is_vmalloc_addr" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0xfbc87268, "vmemmap" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xb52c4f68, "nvmet_req_complete" },
	{ 0xce75d936, "dma_unmap_page_attrs" },
	{ 0xfba7ddd2, "match_u64" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0x2b5bdfb2, "get_device" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xf7d8ef20, "dev_driver_string" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x02a39a94, "nvmet_sq_destroy" },
	{ 0x98151a4b, "dma_map_page_attrs" },
	{ 0x92997ed8, "_printk" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x18f0d887, "put_device" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xe87343b6, "nvmet_unregister_transport" },
	{ 0xe5f78d28, "_dev_info" },
	{ 0xcd813ea2, "nvmet_req_init" },
	{ 0xbfeb42d6, "__dma_sync_single_for_cpu" },
	{ 0x081b9858, "_dev_err" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x2d8ed042, "nvmet_register_transport" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x88d40667, "nvmet_sq_init" },
	{ 0xe40ab173, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xce78bdcf, "dma_unmap_sg_attrs" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x3e0ef07a, "nvmet_wq" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xf32991ae, "dma_map_sg_attrs" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "nvmet");


MODULE_INFO(srcversion, "65F3A9A6A3C957ECA8180DB");
