#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(iscsi_tcp_segment_unmap, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_segment_done, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_dgst_header, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_init_linear, "_gpl", "");
KSYMTAB_FUNC(iscsi_segment_seek_sg, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_hdr_recv_prep, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_cleanup_task, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_segment_is_hdr, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_recv_skb, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_init, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_task_xmit, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_setup, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_teardown, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_alloc, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_r2tpool_free, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_set_max_r2t, "_gpl", "");
KSYMTAB_FUNC(iscsi_tcp_conn_get_stats, "_gpl", "");

SYMBOL_CRC(iscsi_tcp_segment_unmap, 0xfa1b975b, "_gpl");
SYMBOL_CRC(iscsi_tcp_segment_done, 0x6f9deb13, "_gpl");
SYMBOL_CRC(iscsi_tcp_dgst_header, 0x7019ab22, "_gpl");
SYMBOL_CRC(iscsi_segment_init_linear, 0xb7298f2d, "_gpl");
SYMBOL_CRC(iscsi_segment_seek_sg, 0x48d247d0, "_gpl");
SYMBOL_CRC(iscsi_tcp_hdr_recv_prep, 0x045cc9d2, "_gpl");
SYMBOL_CRC(iscsi_tcp_cleanup_task, 0xce666f38, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_segment_is_hdr, 0x741a06a7, "_gpl");
SYMBOL_CRC(iscsi_tcp_recv_skb, 0x9efcbf7f, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_init, 0x8833269c, "_gpl");
SYMBOL_CRC(iscsi_tcp_task_xmit, 0x434be6e7, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_setup, 0x12893d4e, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_teardown, 0xebf61be6, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_alloc, 0x16a406ad, "_gpl");
SYMBOL_CRC(iscsi_tcp_r2tpool_free, 0x39c4b883, "_gpl");
SYMBOL_CRC(iscsi_tcp_set_max_r2t, 0x110a090c, "_gpl");
SYMBOL_CRC(iscsi_tcp_conn_get_stats, 0x1c2828a8, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xcc244a94, "iscsi_dbg_trace" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xfc4a970f, "_dev_printk" },
	{ 0xbcb36fe4, "hugetlb_optimize_vmemmap_key" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xfbc87268, "vmemmap" },
	{ 0x43babd19, "sg_init_one" },
	{ 0x18e9dbc3, "crypto_ahash_digest" },
	{ 0xb7d8b0d5, "crypto_ahash_init" },
	{ 0xfbe215e4, "sg_next" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0xf23fcb99, "__kfifo_in" },
	{ 0x13d0adf7, "__kfifo_out" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x98ec28e8, "iscsi_prep_data_out_pdu" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x04912b8d, "iscsi_put_task" },
	{ 0xfb08ecf7, "iscsi_conn_failure" },
	{ 0x7e4f98cb, "iscsi_conn_setup" },
	{ 0xdbd07e24, "iscsi_conn_teardown" },
	{ 0xb534f61f, "__kfifo_alloc" },
	{ 0x3bef2f73, "iscsi_pool_init" },
	{ 0xdb760f52, "__kfifo_free" },
	{ 0x8d303b1b, "iscsi_pool_free" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xa1dc1a8f, "crypto_ahash_update" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x84884271, "crypto_ahash_final" },
	{ 0xe798236d, "jiffies" },
	{ 0x66262974, "skb_prepare_seq_read" },
	{ 0x87067269, "skb_seq_read" },
	{ 0x236c8c64, "memcpy" },
	{ 0xd09db1e9, "skb_abort_seq_read" },
	{ 0xe735c6b7, "__tracepoint_iscsi_dbg_tcp" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x7907a263, "__traceiter_iscsi_dbg_tcp" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xd8338f5a, "iscsi_complete_pdu" },
	{ 0x57866d99, "iscsi_verify_itt" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x1279c888, "iscsi_itt_to_ctask" },
	{ 0x6b5a1f82, "iscsi_get_task" },
	{ 0xaccef3b7, "iscsi_update_cmdsn" },
	{ 0xa5a4a29b, "__iscsi_complete_pdu" },
	{ 0x09480653, "iscsi_requeue_task" },
	{ 0x10a63a66, "param_ops_int" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "scsi_transport_iscsi,libiscsi");


MODULE_INFO(srcversion, "05396420508FC29934C00A8");
