#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ssb_bus_resume, "", "");
KSYMTAB_FUNC(ssb_bus_suspend, "", "");
KSYMTAB_FUNC(ssb_bus_unregister, "", "");
KSYMTAB_FUNC(__ssb_driver_register, "", "");
KSYMTAB_FUNC(ssb_driver_unregister, "", "");
KSYMTAB_FUNC(ssb_set_devtypedata, "", "");
KSYMTAB_FUNC(ssb_clockspeed, "", "");
KSYMTAB_FUNC(ssb_device_is_enabled, "", "");
KSYMTAB_FUNC(ssb_device_enable, "", "");
KSYMTAB_FUNC(ssb_device_disable, "", "");
KSYMTAB_FUNC(ssb_dma_translation, "", "");
KSYMTAB_FUNC(ssb_bus_may_powerdown, "", "");
KSYMTAB_FUNC(ssb_bus_powerup, "", "");
KSYMTAB_FUNC(ssb_commit_settings, "", "");
KSYMTAB_FUNC(ssb_admatch_base, "", "");
KSYMTAB_FUNC(ssb_admatch_size, "", "");
KSYMTAB_FUNC(ssb_pcihost_register, "", "");
KSYMTAB_FUNC(ssb_chipco_gpio_control, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_voltage, "", "");
KSYMTAB_FUNC(ssb_pmu_set_ldo_paref, "", "");
KSYMTAB_FUNC(ssb_pmu_spuravoid_pllupdate, "_gpl", "");
KSYMTAB_FUNC(ssb_pcicore_dev_irqvecs_enable, "", "");

SYMBOL_CRC(ssb_bus_resume, 0x1d9a7af4, "");
SYMBOL_CRC(ssb_bus_suspend, 0xcee6c18f, "");
SYMBOL_CRC(ssb_bus_unregister, 0x10b53f3c, "");
SYMBOL_CRC(__ssb_driver_register, 0x35d4e9c1, "");
SYMBOL_CRC(ssb_driver_unregister, 0x3389d7cc, "");
SYMBOL_CRC(ssb_set_devtypedata, 0x8c6990ca, "");
SYMBOL_CRC(ssb_clockspeed, 0x0b66915d, "");
SYMBOL_CRC(ssb_device_is_enabled, 0x7f771b82, "");
SYMBOL_CRC(ssb_device_enable, 0x6f86ec40, "");
SYMBOL_CRC(ssb_device_disable, 0x3ea21149, "");
SYMBOL_CRC(ssb_dma_translation, 0x9384cfa5, "");
SYMBOL_CRC(ssb_bus_may_powerdown, 0x61b87779, "");
SYMBOL_CRC(ssb_bus_powerup, 0x7e7ee399, "");
SYMBOL_CRC(ssb_commit_settings, 0xac4c4ecc, "");
SYMBOL_CRC(ssb_admatch_base, 0xcb17f1cb, "");
SYMBOL_CRC(ssb_admatch_size, 0xdfc7c6ef, "");
SYMBOL_CRC(ssb_pcihost_register, 0x7c9dcccc, "");
SYMBOL_CRC(ssb_chipco_gpio_control, 0x6d983ab4, "");
SYMBOL_CRC(ssb_pmu_set_ldo_voltage, 0x0d3115b5, "");
SYMBOL_CRC(ssb_pmu_set_ldo_paref, 0xdaac8079, "");
SYMBOL_CRC(ssb_pmu_spuravoid_pllupdate, 0xf20beeda, "_gpl");
SYMBOL_CRC(ssb_pcicore_dev_irqvecs_enable, 0x97df127b, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x9c6febfc, "add_uevent_var" },
	{ 0x9e7d6bd0, "__udelay" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x964e0391, "pci_enable_device" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x6974ba74, "dev_set_name" },
	{ 0x1e16cec2, "pci_iomap" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x716e7a67, "device_unregister" },
	{ 0x8bded20f, "zpci_load" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x4bf89875, "page_noexec_mask" },
	{ 0xda49f5b0, "__pci_register_driver" },
	{ 0xedc03953, "iounmap" },
	{ 0xe51383c1, "pci_request_regions" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x037a0cba, "kfree" },
	{ 0x2b5bdfb2, "get_device" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0xf17fcac0, "__dynamic_dev_dbg" },
	{ 0xf7d8ef20, "dev_driver_string" },
	{ 0x5970c4e7, "pci_read_config_dword" },
	{ 0xb4e32191, "dump_stack" },
	{ 0x92997ed8, "_printk" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x18f0d887, "put_device" },
	{ 0xe5f78d28, "_dev_info" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x0c005e1e, "device_create_file" },
	{ 0xaf4a19f0, "gpiochip_get_data" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xf3f82892, "bus_unregister" },
	{ 0x081b9858, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xa7631c25, "pci_read_config_word" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x27ef915c, "driver_unregister" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x3acc7dee, "mutex_lock_interruptible" },
	{ 0xf54d2ac1, "pci_iounmap" },
	{ 0x11089ac7, "_ctype" },
	{ 0x478c2b90, "device_register" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xe831271f, "pci_set_master" },
	{ 0xdb6ae5db, "gpiochip_add_data_with_key" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x0be3ec39, "_dev_emerg" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0xcea82472, "gpiochip_remove" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x46730082, "pci_release_regions" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb43a7f2c, "pci_disable_device" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0xf49768b0, "pci_write_config_word" },
	{ 0x89a09837, "ioremap_prot" },
	{ 0x5665ab78, "driver_register" },
	{ 0xf9a482f9, "msleep" },
	{ 0xe98315c6, "pci_write_config_dword" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xff72feb0, "device_remove_file" },
	{ 0x2c374c61, "bus_register" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "601AFDE9F6C66F12B16A61F");
