#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0xe0cea48f, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0x93d4becd, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x887ce145, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0xafcd80c2, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xa9c1b28c, "_gpl");
SYMBOL_CRC(br_forward, 0x8981a190, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0xd129e96e, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0x7470fd04, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x672bd9aa, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x4bbb0974, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf7a7203c, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x19b48941, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0xb2c48aeb, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x3329a419, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x66ebf94d, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xa53f2320, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x60b9dc48, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0x0d2f6231, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0xa429ebf6, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x8b806d88, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0x0f98251e, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x4b44e2c7, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0xe4be3b39, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0x9c264663, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0x96b495b4, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xe7b3686b, "netdev_lower_get_next" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xe3289c50, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xb634ba7b, "dev_pre_changeaddr_notify" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x8924c53d, "skb_copy_bits" },
	{ 0x18c4df01, "__nlmsg_put" },
	{ 0xa9fa1e8c, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0xdee10bb1, "ipv6_mc_check_mld" },
	{ 0x466bc295, "skb_put" },
	{ 0x093adcce, "__percpu_counter_init_many" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xa19e6b26, "call_switchdev_notifiers" },
	{ 0xa60b4e3c, "sysfs_create_file_ns" },
	{ 0x2c834418, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x3579239c, "netdev_update_features" },
	{ 0x9d7ed35c, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xa3a5be95, "memmove" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x98de1c15, "snprintf" },
	{ 0x2da26faa, "__traceiter_br_fdb_add" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0x272731b5, "__traceiter_br_fdb_update" },
	{ 0x80816f26, "get_user_ifreq" },
	{ 0x835507c5, "dev_uc_del" },
	{ 0xea2fe540, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0xd935f92d, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x876fa4e2, "percpu_counter_destroy_many" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x236c8c64, "memcpy" },
	{ 0x0c487638, "switchdev_port_obj_act_is_deferred" },
	{ 0xc4a0f9c5, "dev_get_iflink" },
	{ 0x037a0cba, "kfree" },
	{ 0x5260181f, "dev_set_promiscuity" },
	{ 0xdc0e4855, "timer_delete" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x956fa563, "unregister_netdevice_queue" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xcac670ac, "netdev_state_change" },
	{ 0xd66e585d, "__pskb_copy_fclone" },
	{ 0x4d692f4c, "__dev_get_by_name" },
	{ 0x3d190a29, "ether_setup" },
	{ 0xb1a5970d, "netdev_err" },
	{ 0x3ed0dd52, "pskb_expand_head" },
	{ 0xf887a9f1, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x7f322c1a, "brioctl_set" },
	{ 0x139b85ba, "dev_addr_mod" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x6d11920a, "arp_xmit" },
	{ 0xd17843c5, "__traceiter_br_mdb_full" },
	{ 0x8b5b8f60, "alloc_netdev_mqs" },
	{ 0x3a574893, "passthru_features_check" },
	{ 0x5f166738, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf91c6f91, "netdev_rx_handler_unregister" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x0bca45de, "rtnl_af_register" },
	{ 0x58f0f5d8, "__tracepoint_br_mdb_full" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc2aa8405, "__alloc_skb" },
	{ 0xd0810e09, "rtnl_set_sk_err" },
	{ 0x8699e9be, "skb_vlan_pop" },
	{ 0x0d9cbf31, "rtnl_unicast" },
	{ 0x6dc631cf, "sysfs_create_link" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x441fb69f, "ipv6_dev_get_saddr" },
	{ 0x507b25d0, "kstrndup" },
	{ 0x43be292c, "nla_reserve_64bit" },
	{ 0xb3483c7c, "__ip_mc_dec_group" },
	{ 0x92f9ff09, "vlan_dev_real_dev" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xfa60a526, "__dev_get_by_index" },
	{ 0x7e905521, "rtnl_link_unregister" },
	{ 0x7e3191f6, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0x1c8632d1, "dev_get_port_parent_id" },
	{ 0x026ddeb2, "init_net" },
	{ 0x15fa13c3, "ipv6_stub" },
	{ 0x8a36de55, "inet_confirm_addr" },
	{ 0x40d4bfe9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xf245f5ed, "sysfs_remove_link" },
	{ 0x11794262, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xb83d18f3, "rtnl_af_unregister" },
	{ 0xee7d432f, "sk_skb_reason_drop" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xac3e46f6, "arp_send" },
	{ 0xf1969a8e, "__usecs_to_jiffies" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x6396e889, "dev_get_by_index_rcu" },
	{ 0xfd39d320, "__tracepoint_br_fdb_add" },
	{ 0x74954e3c, "__traceiter_fdb_delete" },
	{ 0x652032cb, "mac_pton" },
	{ 0x1a4b3050, "skb_push" },
	{ 0xd8fc8b82, "kmem_cache_free" },
	{ 0xc75ae507, "ndo_dflt_fdb_dump" },
	{ 0x85abc85f, "strncmp" },
	{ 0x4f636845, "netdev_upper_dev_unlink" },
	{ 0x621bf9b1, "netif_receive_skb" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x174a2f1b, "llc_mac_hdr_init" },
	{ 0xb52431c2, "__rtnl_register_many" },
	{ 0xa373650c, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5759cce4, "kobject_init_and_add" },
	{ 0x8f843186, "__skb_warn_lro_forwarding" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x9dec938c, "ns_capable" },
	{ 0x1124ee67, "inet_select_addr" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xd18a5f3f, "sysfs_create_group" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x940bbf8c, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xd7cacf22, "arp_create" },
	{ 0x24ddd509, "__ethtool_get_link_ksettings" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xf60e674e, "stp_proto_register" },
	{ 0x6a7e3975, "__tracepoint_br_fdb_update" },
	{ 0x7634b144, "sysfs_rename_link_ns" },
	{ 0x0844abd3, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x0f3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xce250547, "kmem_cache_alloc_noprof" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0xf6d8bf52, "switchdev_port_obj_add" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xeadcdf98, "__pskb_pull_tail" },
	{ 0xfd9a64ce, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0xed114c1e, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0xb36abe8e, "ip_mc_check_igmp" },
	{ 0x2bce8d93, "__netdev_alloc_skb" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0x8b577189, "__kmem_cache_create_args" },
	{ 0xbdc4c030, "switchdev_port_obj_del" },
	{ 0xa2c087a5, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0x96063980, "kobject_create_and_add" },
	{ 0x717e9bd1, "skb_trim" },
	{ 0x81438559, "nf_hook_slow" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xa34d14e4, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0x337ecc69, "__ip_mc_inc_group" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x1d04cb06, "netdev_walk_all_upper_dev_rcu" },
	{ 0x7d8037f7, "sysfs_remove_group" },
	{ 0x6000b8ff, "__traceiter_br_fdb_external_learn_add" },
	{ 0x630a97b0, "in_dev_finish_destroy" },
	{ 0xd83898d5, "nf_hooks_needed" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x5377c956, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x0b2a36e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x25358d6b, "vlan_vid_add" },
	{ 0x4321fc8e, "neigh_destroy" },
	{ 0x7dfd1e56, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0xd9705ce6, "kobject_del" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x3d626033, "call_netdevice_notifiers" },
	{ 0xed0232dd, "is_skb_forwardable" },
	{ 0xdaf225d3, "vlan_vid_del" },
	{ 0x8be87268, "dev_set_allmulti" },
	{ 0x8237bbb7, "net_ns_get_ownership" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0x19637997, "netdev_master_upper_dev_get" },
	{ 0x81fc5f0b, "ipv6_dev_mc_inc" },
	{ 0xdaba0af4, "rtnl_notify" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xb523a596, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x2eeba18d, "__vlan_find_dev_deep_rcu" },
	{ 0xf79faab3, "ip_send_check" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x5c34e520, "skb_clone" },
	{ 0xf1250066, "metadata_dst_alloc" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0x4585dbc4, "dst_release" },
	{ 0x08a6e22e, "netif_carrier_on" },
	{ 0x0d499421, "kobject_uevent" },
	{ 0xbe3bde64, "arp_tbl" },
	{ 0x0a17d6b1, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x2f06489b, "netdev_rx_handler_register" },
	{ 0x350cd1c2, "dev_uc_add" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x51a77c4f, "netif_set_tso_max_size" },
	{ 0x714313e1, "dev_disable_lro" },
	{ 0xbbeebde1, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0xbda84ce7, "dev_get_flags" },
	{ 0x322df797, "__rtnl_unregister_many" },
	{ 0x044154c6, "tc_skb_ext_tc" },
	{ 0x31ff917a, "dev_kfree_skb_any_reason" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xdbf80536, "netdev_notice" },
	{ 0x091eb9b4, "round_jiffies" },
	{ 0x3bed1c8e, "nf_queue" },
	{ 0xd2dea828, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0x8e664d30, "skb_ext_add" },
	{ 0x50fe3e45, "sysfs_remove_bin_file" },
	{ 0x061a6a17, "rht_bucket_nested" },
	{ 0x7b711d88, "stp_proto_unregister" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0x0eb6b0d2, "neigh_lookup" },
	{ 0xf78717eb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x4c1b8f19, "kobject_put" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xa35dfd81, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "llc,stp");


MODULE_INFO(srcversion, "D6B01664FA399587D120862");
