#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ip6_tnl_parse_tlv_enc_lim, "", "");
KSYMTAB_FUNC(ip6_tnl_get_cap, "", "");
KSYMTAB_FUNC(ip6_tnl_rcv_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_rcv, "", "");
KSYMTAB_FUNC(ip6_tnl_xmit_ctl, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_xmit, "", "");
KSYMTAB_FUNC(ip6_tnl_change_mtu, "", "");
KSYMTAB_FUNC(ip6_tnl_get_iflink, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_add_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_del_ops, "", "");
KSYMTAB_FUNC(ip6_tnl_encap_setup, "_gpl", "");
KSYMTAB_FUNC(ip6_tnl_get_link_net, "", "");

SYMBOL_CRC(ip6_tnl_parse_tlv_enc_lim, 0x598f6e9d, "");
SYMBOL_CRC(ip6_tnl_get_cap, 0x96bc9651, "");
SYMBOL_CRC(ip6_tnl_rcv_ctl, 0x9a653337, "_gpl");
SYMBOL_CRC(ip6_tnl_rcv, 0xdb3b493c, "");
SYMBOL_CRC(ip6_tnl_xmit_ctl, 0x8519f698, "_gpl");
SYMBOL_CRC(ip6_tnl_xmit, 0xeec00d00, "");
SYMBOL_CRC(ip6_tnl_change_mtu, 0xfd4d6108, "");
SYMBOL_CRC(ip6_tnl_get_iflink, 0x21063107, "");
SYMBOL_CRC(ip6_tnl_encap_add_ops, 0x02864268, "");
SYMBOL_CRC(ip6_tnl_encap_del_ops, 0x60a7452d, "");
SYMBOL_CRC(ip6_tnl_encap_setup, 0x702e1b9d, "_gpl");
SYMBOL_CRC(ip6_tnl_get_link_net, 0x998b4a17, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe0f620f1, "ip6tun_encaps" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x64b91a8f, "ipv6_chk_addr_and_flags" },
	{ 0x6396e889, "dev_get_by_index_rcu" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x92997ed8, "_printk" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x437eb1df, "ipv6_mod_enabled" },
	{ 0x95e21937, "register_pernet_device" },
	{ 0x5f4af944, "xfrm6_tunnel_register" },
	{ 0xea2fe540, "rtnl_link_register" },
	{ 0xa9ae1874, "xfrm6_tunnel_deregister" },
	{ 0x65211b15, "unregister_pernet_device" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x956fa563, "unregister_netdevice_queue" },
	{ 0x139b85ba, "dev_addr_mod" },
	{ 0xdfd0f66e, "rt6_lookup" },
	{ 0x4585dbc4, "dst_release" },
	{ 0xfa60a526, "__dev_get_by_index" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xb54aae4e, "ip_tunnel_header_ops" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x56470118, "__warn_printk" },
	{ 0x7e905521, "rtnl_link_unregister" },
	{ 0x79d219c0, "__get_hash_from_flowi6" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x5e43cf82, "gro_cells_init" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x9cdfb3f7, "sysctl_fb_tunnels_only_for_init_net" },
	{ 0x026ddeb2, "init_net" },
	{ 0x8b5b8f60, "alloc_netdev_mqs" },
	{ 0x5d3f4adf, "register_netdev" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xa373650c, "free_netdev" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x452ba683, "ipv6_ext_hdr" },
	{ 0xeadcdf98, "__pskb_pull_tail" },
	{ 0xa35dfd81, "register_netdevice" },
	{ 0xe798236d, "jiffies" },
	{ 0x62849ac7, "dev_valid_name" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x3e903560, "ip_tunnel_netlink_encap_parms" },
	{ 0xcac670ac, "netdev_state_change" },
	{ 0x9dec938c, "ns_capable" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x07cf982c, "make_kuid" },
	{ 0x5dadd23e, "ip6_redirect" },
	{ 0x0329e701, "ip6_update_pmtu" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x3dca726d, "ip6_route_output_flags" },
	{ 0xf6ebb439, "xfrm_lookup" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xa16f4298, "skb_scrub_packet" },
	{ 0xb0d0c66a, "skb_realloc_headroom" },
	{ 0xd686f9f1, "skb_set_owner_w" },
	{ 0x9d7ed35c, "consume_skb" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x765dfe33, "ipv6_push_frag_opts" },
	{ 0x1a4b3050, "skb_push" },
	{ 0x9d4d466c, "ip6_local_out" },
	{ 0x0132b548, "dst_cache_get" },
	{ 0x441fb69f, "ipv6_dev_get_saddr" },
	{ 0x8924c53d, "skb_copy_bits" },
	{ 0x617b7a32, "dst_cache_set_ip6" },
	{ 0x4321fc8e, "neigh_destroy" },
	{ 0x4bd611e1, "ip6_dst_hoplimit" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0xee7d432f, "sk_skb_reason_drop" },
	{ 0x99a7b00d, "iptunnel_handle_offloads" },
	{ 0x95be6cf5, "icmpv6_ndo_send" },
	{ 0xbf85fbbc, "icmp_ndo_send" },
	{ 0x5c34e520, "skb_clone" },
	{ 0x40d4bfe9, "skb_pull" },
	{ 0xfb6836ac, "icmp6_send" },
	{ 0x6b543bed, "ip_route_output_flow" },
	{ 0x605c945b, "ip_route_input_noref" },
	{ 0xe4b71f97, "__icmp_send" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9ec16c8d, "gro_cells_receive" },
	{ 0x4c603bc4, "eth_type_trans" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0x7100b3f1, "__xfrm_policy_check" },
	{ 0x6e192dde, "__iptunnel_pull_header" },
	{ 0xf1250066, "metadata_dst_alloc" },
	{ 0x7afb1278, "__skb_ext_del" },
	{ 0xfd9a64ce, "dev_get_tstats64" },
	{ 0xce7eb7fe, "param_ops_bool" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "tunnel6");


MODULE_INFO(srcversion, "1E6FE9775AA0FB82F55A1ED");
