#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x658f245d, "");
SYMBOL_CRC(tipc_dump_start, 0xa2fbbb4b, "");
SYMBOL_CRC(tipc_dump_done, 0x07187fa2, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x6440eff7, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xcaa661af, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x40c697d1, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x0d542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe26faf51, "bpf_trace_run4" },
	{ 0xe72e844b, "__rht_bucket_nested" },
	{ 0x18c4df01, "__nlmsg_put" },
	{ 0x3761d215, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x466bc295, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x4bd611e1, "ip6_dst_hoplimit" },
	{ 0x0d67633c, "trace_output_call" },
	{ 0x9d7ed35c, "consume_skb" },
	{ 0xa29e642d, "dev_add_pack" },
	{ 0x98de1c15, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x011260f4, "trace_raw_output_prep" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0x7fd4ecb8, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0x138462be, "__trace_trigger_soft_disabled" },
	{ 0x630f63b4, "_raw_write_lock_bh" },
	{ 0x377a2016, "trace_event_printf" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x9a57fdd9, "__ip_dev_find" },
	{ 0x13816b42, "dst_cache_set_ip4" },
	{ 0xd3e740f1, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdb39d870, "genlmsg_put" },
	{ 0x5314b991, "___pskb_trim" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x83a26662, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0x037a0cba, "kfree" },
	{ 0xe1191d23, "_raw_read_lock_bh" },
	{ 0x7f4c565b, "add_wait_queue" },
	{ 0x66a72cab, "crypto_alloc_aead" },
	{ 0xb2bd5028, "__tracepoint_sk_data_ready" },
	{ 0x2761451c, "netdev_warn" },
	{ 0x84b30a3b, "crypto_aead_setauthsize" },
	{ 0x82ee90dc, "timer_delete_sync" },
	{ 0x9ca9af7f, "crypto_aead_decrypt" },
	{ 0x7a792e49, "kernel_accept" },
	{ 0xeb672358, "__module_get" },
	{ 0x6b543bed, "ip_route_output_flow" },
	{ 0xea066330, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0xd66e585d, "__pskb_copy_fclone" },
	{ 0x3ed0dd52, "pskb_expand_head" },
	{ 0xf887a9f1, "register_pernet_subsys" },
	{ 0xb3afafc0, "put_cmsg" },
	{ 0xd5340eb7, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x3262ae66, "trace_event_buffer_commit" },
	{ 0xbbc9c8fa, "register_net_sysctl_sz" },
	{ 0x9e03cef5, "crypto_destroy_tfm" },
	{ 0x4c603bc4, "eth_type_trans" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0x5920ba35, "proto_unregister" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x40598c7e, "sock_register" },
	{ 0xeefc48e6, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc2aa8405, "__alloc_skb" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x674b853a, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x44d80e6a, "skb_try_coalesce" },
	{ 0x38df5b7c, "proto_register" },
	{ 0x5a1cbad4, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x4f91fd51, "__wake_up_sync_key" },
	{ 0x6ea74bf9, "skb_queue_tail" },
	{ 0x938e26b2, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x9df4a2a8, "idr_remove" },
	{ 0x5ea31004, "arch_spin_trylock_retry" },
	{ 0x9fafaa31, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xfa60a526, "__dev_get_by_index" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0xaf939902, "perf_trace_run_bpf_submit" },
	{ 0x15d1fbdb, "__traceiter_sk_data_ready" },
	{ 0x026ddeb2, "init_net" },
	{ 0x15fa13c3, "ipv6_stub" },
	{ 0x40d4bfe9, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x8c47afca, "idr_alloc" },
	{ 0x4dea1053, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x44210c8a, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0xee7d432f, "sk_skb_reason_drop" },
	{ 0xd5d2314e, "netlink_unicast" },
	{ 0xc38c83b8, "mod_timer" },
	{ 0xb44ac306, "dev_remove_pack" },
	{ 0x69c53d91, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x0e475d7e, "kernel_sock_shutdown" },
	{ 0x2e877025, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0x1a4b3050, "skb_push" },
	{ 0x0132b548, "dst_cache_get" },
	{ 0x7c6039ee, "sock_no_listen" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x0ff182e8, "nla_put" },
	{ 0x0456b616, "proc_doulongvec_minmax" },
	{ 0x8d7ce254, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x90bd7726, "iov_iter_kvec" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x9da18d5a, "ip_mc_join_group" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xff8cbf4b, "rhashtable_walk_start_check" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x65211b15, "unregister_pernet_device" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xbe3d25fc, "lock_sock_nested" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x1049cb7d, "skb_copy_datagram_iter" },
	{ 0x4eedd6f3, "rhashtable_walk_stop" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xe33e1778, "sk_alloc" },
	{ 0x034a7afe, "idr_destroy" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x0844abd3, "unregister_pernet_subsys" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0x6a0fd7dd, "kfree_skb_partial" },
	{ 0x0f3b8882, "rht_bucket_nested_insert" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xdf237453, "timer_shutdown_sync" },
	{ 0x2deb0bb6, "udp_tunnel_sock_release" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x11ea09cf, "sock_no_mmap" },
	{ 0x5640085e, "security_sk_clone" },
	{ 0xeadcdf98, "__pskb_pull_tail" },
	{ 0xed114c1e, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0x364354ba, "rhashtable_destroy" },
	{ 0xd85c7fde, "setup_udp_tunnel_sock" },
	{ 0x4471526f, "udp_sock_create6" },
	{ 0x717e9bd1, "skb_trim" },
	{ 0x9779d941, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0xa31fdc24, "bpf_trace_run3" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x73c93090, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0x53100bfd, "sock_rfree" },
	{ 0x95ece471, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x01195fc7, "kernel_listen" },
	{ 0x0b2a36e0, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0x4dcd4340, "rhashtable_init_noprof" },
	{ 0xbf4b14a4, "trace_event_buffer_reserve" },
	{ 0xb67a8bb1, "dev_nit_active" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0x5cda844a, "sock_create_kern" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x617b7a32, "dst_cache_set_ip6" },
	{ 0xe47065ad, "pskb_put" },
	{ 0xe091c977, "list_sort" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0x1347f6fe, "udp_tunnel_xmit_skb" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb1c60ed6, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0x79620265, "skb_copy" },
	{ 0x5c34e520, "skb_clone" },
	{ 0x9172ac73, "dev_get_by_name" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0x9c95c9be, "_copy_from_iter" },
	{ 0xb0dcbdac, "sock_release" },
	{ 0x6f20e8a0, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xbfd9f046, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0xc045988c, "rhashtable_walk_next" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x150a4255, "crypto_default_rng" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0x6a87593b, "sk_stop_timer" },
	{ 0xaf20cf28, "unregister_net_sysctl_table" },
	{ 0x826db3c6, "genl_unregister_family" },
	{ 0xe1dc3fa8, "from_kuid_munged" },
	{ 0x83f51840, "__nla_parse" },
	{ 0x8302156d, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x32359d06, "genl_register_family" },
	{ 0x3501b24d, "kernel_sendmsg" },
	{ 0x061a6a17, "rht_bucket_nested" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x370ada46, "skb_to_sgvec" },
	{ 0x28d0285c, "rhashtable_walk_exit" },
	{ 0x95e21937, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0xc57608d4, "sock_init_data" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xa01d95f6, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x664846e8, "proc_dointvec_minmax" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel");


MODULE_INFO(srcversion, "B04E3B3D09EA23B72C09B07");
