#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(rtrs_srv_resp_rdma, "", "");
KSYMTAB_FUNC(rtrs_srv_set_sess_priv, "", "");
KSYMTAB_FUNC(rtrs_srv_get_path_name, "", "");
KSYMTAB_FUNC(rtrs_srv_get_queue_depth, "", "");
KSYMTAB_FUNC(rtrs_srv_open, "", "");
KSYMTAB_FUNC(rtrs_srv_close, "", "");

SYMBOL_CRC(rtrs_srv_resp_rdma, 0xa833ccb3, "");
SYMBOL_CRC(rtrs_srv_set_sess_priv, 0x8a0f9790, "");
SYMBOL_CRC(rtrs_srv_get_path_name, 0xbaf717e5, "");
SYMBOL_CRC(rtrs_srv_get_queue_depth, 0xfe7012be, "");
SYMBOL_CRC(rtrs_srv_open, 0x421ff1af, "");
SYMBOL_CRC(rtrs_srv_close, 0xdb8c8f0f, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x8f6c7edf, "rtrs_addr_to_str" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0xfbc87268, "vmemmap" },
	{ 0x00a56b8e, "ib_unregister_client" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xe26faf51, "bpf_trace_run4" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x907df803, "rdma_event_msg" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x6974ba74, "dev_set_name" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x011260f4, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0xc8c85086, "sg_free_table" },
	{ 0x8810754a, "_find_first_bit" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x138462be, "__trace_trigger_soft_disabled" },
	{ 0x377a2016, "trace_event_printf" },
	{ 0xea982e8d, "device_initialize" },
	{ 0x83a26662, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x037a0cba, "kfree" },
	{ 0x6d7e8d54, "rtrs_post_recv_empty" },
	{ 0x3ba71330, "ib_dereg_mr_user" },
	{ 0x66fc22f1, "rtrs_iu_post_send" },
	{ 0xf6ed3334, "ib_event_msg" },
	{ 0x2b5bdfb2, "get_device" },
	{ 0x1f5f1bc1, "rdma_reject" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0x95270622, "rdma_disconnect" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x3262ae66, "trace_event_buffer_commit" },
	{ 0x5fae996c, "rtrs_rdma_dev_pd_init" },
	{ 0x92997ed8, "_printk" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0xa9a67bb0, "rtrs_ib_dev_find_or_add" },
	{ 0xb080a040, "__rdma_create_kernel_id" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x18f0d887, "put_device" },
	{ 0x6051d868, "rtrs_rdma_dev_pd_deinit" },
	{ 0x7d3a9693, "ib_register_event_handler" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5224f8da, "__free_pages" },
	{ 0x0e75e141, "ib_unregister_event_handler" },
	{ 0x1e77519b, "rdma_bind_addr" },
	{ 0x3ca36178, "ib_register_client" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0xb3f985a8, "sg_alloc_table" },
	{ 0x46b94c53, "rtrs_iu_free" },
	{ 0x6cfe13c9, "ib_map_mr_sg" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xbfeb42d6, "__dma_sync_single_for_cpu" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0xaf939902, "perf_trace_run_bpf_submit" },
	{ 0x026ddeb2, "init_net" },
	{ 0xdccb5f89, "device_add" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa0ed3f29, "kobj_sysfs_ops" },
	{ 0xb586262e, "rtrs_cq_qp_destroy" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x8d7ce254, "trace_event_reg" },
	{ 0xd6370cdc, "rtrs_iu_post_recv" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0x5759cce4, "kobject_init_and_add" },
	{ 0x9fccd80c, "rdma_listen" },
	{ 0x497e5b97, "class_unregister" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0xd18a5f3f, "sysfs_create_group" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x9f94751b, "sysfs_remove_file_self" },
	{ 0x0cb2d6d6, "device_del" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x057a904f, "ib_alloc_mr" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0x96063980, "kobject_create_and_add" },
	{ 0x5cc818a0, "sockaddr_to_str" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x7d8037f7, "sysfs_remove_group" },
	{ 0xe5840ec6, "ib_wc_status_msg" },
	{ 0x63a75610, "ib_dma_virt_map_sg" },
	{ 0x64ae8d6d, "pcpu_alloc_noprof" },
	{ 0xd9705ce6, "kobject_del" },
	{ 0xbf4b14a4, "trace_event_buffer_reserve" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0xce7eb7fe, "param_ops_bool" },
	{ 0x341a0a16, "rdma_destroy_id" },
	{ 0xe40ab173, "__dma_sync_single_for_device" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0x69f4ae8c, "rdma_accept" },
	{ 0x41fd5a3b, "rtrs_start_hb" },
	{ 0x0d499421, "kobject_uevent" },
	{ 0xfb9b2405, "alloc_pages_noprof" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x392da4a9, "ib_drain_qp" },
	{ 0xce78bdcf, "dma_unmap_sg_attrs" },
	{ 0x78a85e9a, "rtrs_cq_qp_create" },
	{ 0xe020a785, "rtrs_ib_dev_put" },
	{ 0x10a63a66, "param_ops_int" },
	{ 0x3e9c15e3, "rtrs_init_hb" },
	{ 0x6234a326, "rtrs_stop_hb" },
	{ 0x349cba85, "strchr" },
	{ 0xf1b47c79, "rtrs_send_hb_ack" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x162afb91, "rtrs_iu_alloc" },
	{ 0xf738387f, "class_register" },
	{ 0x99f2d00a, "sysfs_emit_at" },
	{ 0xcd8d5b1d, "kobject_get" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xf32991ae, "dma_map_sg_attrs" },
	{ 0x4c1b8f19, "kobject_put" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "rtrs-core,ib_core,rdma_cm");


MODULE_INFO(srcversion, "96A56DBDAB3E9C2BBFC1261");
