#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(xpcs_to_phylink_pcs, "_gpl", "");
KSYMTAB_FUNC(xpcs_get_an_mode, "_gpl", "");
KSYMTAB_FUNC(xpcs_config_eee, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_pcs_mdiodev, "_gpl", "");
KSYMTAB_FUNC(xpcs_create_fwnode, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy, "_gpl", "");
KSYMTAB_FUNC(xpcs_destroy_pcs, "_gpl", "");

SYMBOL_CRC(xpcs_to_phylink_pcs, 0x4589141d, "_gpl");
SYMBOL_CRC(xpcs_get_an_mode, 0xc56a4f17, "_gpl");
SYMBOL_CRC(xpcs_config_eee, 0xecfa66be, "_gpl");
SYMBOL_CRC(xpcs_create_mdiodev, 0x010833ba, "_gpl");
SYMBOL_CRC(xpcs_create_pcs_mdiodev, 0xf7c68890, "_gpl");
SYMBOL_CRC(xpcs_create_fwnode, 0x9aa40145, "_gpl");
SYMBOL_CRC(xpcs_destroy, 0x0f71d27a, "_gpl");
SYMBOL_CRC(xpcs_destroy_pcs, 0x6887286d, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xfa4ec823, "mdiobus_c45_modify_changed" },
	{ 0x51654a69, "mdiobus_c45_read" },
	{ 0x98a0c05b, "devm_kmalloc" },
	{ 0x0b82c6dc, "platform_driver_unregister" },
	{ 0x98de1c15, "snprintf" },
	{ 0x8bded20f, "zpci_load" },
	{ 0x479f7d4b, "clk_bulk_disable" },
	{ 0xc8ad4615, "phylink_resolve_c73" },
	{ 0x037a0cba, "kfree" },
	{ 0x63c08029, "clk_bulk_unprepare" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0xc3055d20, "usleep_range_state" },
	{ 0x8935a245, "platform_get_resource_byname" },
	{ 0x2b5bdfb2, "get_device" },
	{ 0x1538b038, "fwnode_mdio_find_device" },
	{ 0x67b13b86, "devm_clk_get" },
	{ 0xbf3ba2af, "mdiobus_c45_write" },
	{ 0xae7cd7df, "device_set_node" },
	{ 0x497275c9, "device_property_read_u32_array" },
	{ 0x2daab0f1, "mdio_device_register" },
	{ 0xef29fcdd, "clk_bulk_put" },
	{ 0xc7a7e770, "clk_bulk_enable" },
	{ 0x081b9858, "_dev_err" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xa20ccb80, "phylink_mii_c45_pcs_get_state" },
	{ 0x019fedc1, "mdio_device_create" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x18644b7d, "_dev_warn" },
	{ 0x97e6a3f2, "device_get_match_data" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xbacc2ffc, "fwnode_handle_get" },
	{ 0xc0632f95, "phylink_mii_c22_pcs_encode_advertisement" },
	{ 0xfc23c3f2, "devm_mdiobus_alloc_size" },
	{ 0x74944932, "__platform_driver_register" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x4a252fa2, "mdiobus_c45_modify" },
	{ 0x16b69bc8, "zpci_store" },
	{ 0xa66c8126, "fwnode_device_is_available" },
	{ 0x8adaf807, "devm_ioremap_resource" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0xb43f9365, "ktime_get" },
	{ 0x65ddf220, "clk_bulk_get_optional" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x0d98770b, "phylink_mii_c22_pcs_decode_state" },
	{ 0xcd89cd99, "__devm_mdiobus_register" },
	{ 0xead5c8e5, "clk_bulk_prepare" },
	{ 0x8f67e9d8, "dev_err_probe" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x0e60d9dd, "mdio_device_free" },
	{ 0x91152b4a, "__dev_fwnode" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "libphy,phylink,mdio_devres");

MODULE_ALIAS("of:N*T*Csnps,dw-xpcs");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcsC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen1-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen2-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-3gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen4-6gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-10gC*");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12g");
MODULE_ALIAS("of:N*T*Csnps,dw-xpcs-gen5-12gC*");

MODULE_INFO(srcversion, "DFC87731E3B1362A6C0F959");
