#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_DATA(nvmet_wq, "_gpl", "");
KSYMTAB_FUNC(nvmet_register_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_unregister_transport, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_complete, "_gpl", "");
KSYMTAB_FUNC(nvmet_cq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_create, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_destroy, "_gpl", "");
KSYMTAB_FUNC(nvmet_sq_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_init, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_uninit, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_check_transfer_len, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_alloc_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_req_free_sgls, "_gpl", "");
KSYMTAB_FUNC(nvmet_update_cc, "_gpl", "");
KSYMTAB_FUNC(nvmet_alloc_ctrl, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_put, "_gpl", "");
KSYMTAB_FUNC(nvmet_ctrl_fatal_error, "_gpl", "");

SYMBOL_CRC(nvmet_wq, 0x3e0ef07a, "_gpl");
SYMBOL_CRC(nvmet_register_transport, 0x2d8ed042, "_gpl");
SYMBOL_CRC(nvmet_unregister_transport, 0xe87343b6, "_gpl");
SYMBOL_CRC(nvmet_req_complete, 0xb52c4f68, "_gpl");
SYMBOL_CRC(nvmet_cq_create, 0xf9a1abff, "_gpl");
SYMBOL_CRC(nvmet_sq_create, 0x7565266f, "_gpl");
SYMBOL_CRC(nvmet_sq_destroy, 0x02a39a94, "_gpl");
SYMBOL_CRC(nvmet_sq_init, 0x88d40667, "_gpl");
SYMBOL_CRC(nvmet_req_init, 0xcd813ea2, "_gpl");
SYMBOL_CRC(nvmet_req_uninit, 0x13a4cb0f, "_gpl");
SYMBOL_CRC(nvmet_req_transfer_len, 0x7a777bb6, "_gpl");
SYMBOL_CRC(nvmet_check_transfer_len, 0x755224f6, "_gpl");
SYMBOL_CRC(nvmet_req_alloc_sgls, 0x58f44f52, "_gpl");
SYMBOL_CRC(nvmet_req_free_sgls, 0xddfa9160, "_gpl");
SYMBOL_CRC(nvmet_update_cc, 0x373cc055, "_gpl");
SYMBOL_CRC(nvmet_alloc_ctrl, 0xc5a83437, "_gpl");
SYMBOL_CRC(nvmet_ctrl_put, 0x7471bc02, "_gpl");
SYMBOL_CRC(nvmet_ctrl_fatal_error, 0xbe6b3277, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xa4c7929e, "filp_open" },
	{ 0x260e52ee, "dynamic_preempt_schedule_notrace" },
	{ 0x78569adf, "ida_alloc_range" },
	{ 0x0d70fd2b, "bdev_file_open_by_path" },
	{ 0xce342ede, "try_module_get" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x58a7a25c, "blk_start_plug" },
	{ 0x49cd25ed, "alloc_workqueue" },
	{ 0xb381ff9e, "ida_destroy" },
	{ 0x06e068cc, "config_group_init" },
	{ 0xcb39603c, "nvme_auth_hmac_id" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x77bc13a0, "strim" },
	{ 0x6de43133, "nvme_auth_extract_key" },
	{ 0x5529d6fb, "trace_seq_printf" },
	{ 0x98de1c15, "snprintf" },
	{ 0xaca0aef0, "complete" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x81a7f541, "percpu_ref_init" },
	{ 0x011260f4, "trace_raw_output_prep" },
	{ 0x222e7ce2, "sysfs_streq" },
	{ 0x0d638627, "pci_dev_put" },
	{ 0x41c5c33d, "blk_rq_append_bio" },
	{ 0xf3a09fe7, "crypto_has_kpp" },
	{ 0x9cadbd3b, "__init_swait_queue_head" },
	{ 0x138462be, "__trace_trigger_soft_disabled" },
	{ 0x444caf8b, "__kmalloc_node_noprof" },
	{ 0x377a2016, "trace_event_printf" },
	{ 0xbe560380, "nvme_auth_transform_key" },
	{ 0xd566933c, "up" },
	{ 0xa737b736, "__s390_indirect_jump_r3" },
	{ 0x83a26662, "trace_event_raw_init" },
	{ 0x98b705ac, "trace_print_symbols_seq" },
	{ 0x236c8c64, "memcpy" },
	{ 0xa1a20017, "nvme_auth_gen_shared_secret" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0xa8693582, "nvme_command_effects" },
	{ 0xf3d4f28a, "bpf_trace_run2" },
	{ 0xd209e848, "memcpy_and_pad" },
	{ 0xeb672358, "__module_get" },
	{ 0x2b5bdfb2, "get_device" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0x5ecfeec6, "__per_cpu_offset" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x6f79375c, "mempool_free" },
	{ 0x3b4f593f, "nvme_keyring_id" },
	{ 0x1ed4d2eb, "percpu_ref_kill_and_confirm" },
	{ 0xb28d56be, "configfs_unregister_subsystem" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0x74c6cc6a, "nvme_passthru_end" },
	{ 0x3262ae66, "trace_event_buffer_commit" },
	{ 0x9e03cef5, "crypto_destroy_tfm" },
	{ 0x394dd598, "sg_zero_buffer" },
	{ 0xeab5b11c, "trace_seq_putc" },
	{ 0x4af6ddf0, "kstrtou16" },
	{ 0x92997ed8, "_printk" },
	{ 0x37c7ed3f, "crypto_alloc_kpp" },
	{ 0x1c7c11df, "vfs_fallocate" },
	{ 0x3a24fb2f, "percpu_ref_resurrect" },
	{ 0x5290d430, "blkdev_zone_mgmt" },
	{ 0x5f81d00c, "nvme_auth_free_key" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0xb2fcb56d, "queue_delayed_work_on" },
	{ 0x18f0d887, "put_device" },
	{ 0x6ac983c7, "__kmalloc_large_noprof" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0x5e934fc7, "sgl_alloc" },
	{ 0xbe5d250a, "blk_mq_free_request" },
	{ 0xd03e1da8, "blk_finish_plug" },
	{ 0x780989d1, "nvme_auth_dhgroup_id" },
	{ 0x4ba78f1c, "nvme_auth_hmac_hash_len" },
	{ 0xe88b1ee2, "submit_bio" },
	{ 0x938e26b2, "module_put" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0x02132169, "nvme_auth_gen_pubkey" },
	{ 0x507b25d0, "kstrndup" },
	{ 0xb8369db3, "mempool_alloc_noprof" },
	{ 0x090298dd, "key_put" },
	{ 0x37bf7be3, "percpu_ref_exit" },
	{ 0xacc639d5, "bio_put" },
	{ 0xf1d992eb, "radix_tree_delete" },
	{ 0xbfa4fc9a, "bio_endio" },
	{ 0x26791831, "sg_miter_next" },
	{ 0x936c7caf, "perf_trace_buf_alloc" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x69e683de, "uuid_gen" },
	{ 0xaf939902, "perf_trace_run_bpf_submit" },
	{ 0xaccf6b87, "fput" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x2c201052, "crypto_shash_setkey" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x88dfcf74, "configfs_register_subsystem" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x8a99a016, "mempool_free_slab" },
	{ 0x0851f219, "radix_tree_next_chunk" },
	{ 0x811780f4, "blk_execute_rq_nowait" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xe8ba125d, "kmemdup_nul" },
	{ 0x5b745a3d, "xa_load" },
	{ 0x312fed92, "config_group_init_type_name" },
	{ 0x81b433f2, "down" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0x420466e7, "bio_integrity_add_page" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0xfdf45a33, "sg_miter_stop" },
	{ 0x674c5bc1, "nvme_auth_hmac_name" },
	{ 0x8d7ce254, "trace_event_reg" },
	{ 0xad4aee39, "strncpy" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x00c264cd, "bio_chain" },
	{ 0x4014cc48, "blk_mq_alloc_request" },
	{ 0xf9a06e0e, "ida_free" },
	{ 0xf74bb274, "mod_delayed_work_on" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xccb5cae6, "bio_add_page" },
	{ 0x8e484df3, "crypto_shash_update" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x09dbb66d, "nvme_find_get_ns" },
	{ 0x564405cb, "__cpu_online_mask" },
	{ 0x2fa5a500, "memcmp" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0xe25d2af8, "bio_integrity_alloc" },
	{ 0x65875286, "sg_miter_start" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0x3898cd06, "nvme_auth_augmented_challenge" },
	{ 0xa9392430, "xa_clear_mark" },
	{ 0x11089ac7, "_ctype" },
	{ 0xcdc5455b, "bpf_trace_run1" },
	{ 0x124bad4d, "kstrtobool" },
	{ 0x3dad9978, "cancel_delayed_work" },
	{ 0x2548c032, "__cpu_possible_mask" },
	{ 0xb3aa1223, "bio_init" },
	{ 0xdf7512f5, "iov_iter_bvec" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x531625b6, "wait_for_completion" },
	{ 0x9166fc03, "__flush_workqueue" },
	{ 0xc972449f, "mempool_alloc_slab" },
	{ 0x51873876, "nvme_auth_get_seqnum" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x017de3d5, "nr_cpu_ids" },
	{ 0xb67fec0e, "uuid_parse" },
	{ 0x8b577189, "__kmem_cache_create_args" },
	{ 0x78218e59, "nvme_passthru_start" },
	{ 0x103bafd6, "down_read" },
	{ 0xaa7a1f77, "__xa_cmpxchg" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6c041e19, "__xa_insert" },
	{ 0x1ed88d6a, "kstrdup" },
	{ 0x99ca74a6, "xa_erase" },
	{ 0xc9bb48ac, "nvme_auth_dhgroup_name" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xafe82e10, "strcspn" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x10b89330, "crypto_has_shash" },
	{ 0xbf4b14a4, "trace_event_buffer_reserve" },
	{ 0xb6ab55cf, "crypto_shash_final" },
	{ 0xd1590f06, "vfs_fsync" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x9fa7184a, "cancel_delayed_work_sync" },
	{ 0xefe4fe55, "mempool_create_node_noprof" },
	{ 0xbb9d0dc5, "bin2hex" },
	{ 0xc6f46339, "init_timer_key" },
	{ 0x989e1516, "xa_destroy" },
	{ 0x1853c22b, "xa_find" },
	{ 0x5b563e0b, "sg_pcopy_from_buffer" },
	{ 0xfbe215e4, "sg_next" },
	{ 0x4755f867, "filp_close" },
	{ 0xc62ab2bc, "mempool_destroy" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0x03c12dfe, "cancel_work_sync" },
	{ 0xffeedf6a, "delayed_work_timer_fn" },
	{ 0xab6d5b3b, "hex_to_bin" },
	{ 0xf9712449, "blkdev_issue_flush" },
	{ 0xf0ccf2d4, "nvme_auth_dhgroup_kpp" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xd9d43943, "nvme_ctrl_from_file" },
	{ 0x2b4b3e2a, "file_bdev" },
	{ 0x889e414f, "__s390_indirect_jump_r11" },
	{ 0x8676db46, "get_random_bytes" },
	{ 0xa1cc398c, "xa_find_after" },
	{ 0x8a2d9006, "nvme_init_request" },
	{ 0x70336943, "xa_set_mark" },
	{ 0x3a564469, "nvme_execute_rq" },
	{ 0xa76d109c, "key_lookup" },
	{ 0xe8e5cc75, "nvme_put_ns" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x4c606e63, "crypto_alloc_shash" },
	{ 0xb14f35a2, "nvme_auth_gen_privkey" },
	{ 0xf3b4ac9f, "bio_alloc_bioset" },
	{ 0xff557e80, "trace_handle_return" },
	{ 0x555ccb97, "up_read" },
	{ 0x390f3825, "__blkdev_issue_zeroout" },
	{ 0x7f62eaa4, "sgl_free" },
	{ 0x60d13841, "nvme_get_features" },
	{ 0xf30ca7ac, "submit_bio_wait" },
	{ 0xed29736d, "blkdev_report_zones" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xb4613a7d, "sg_pcopy_to_buffer" },
	{ 0xc2ad0186, "__blkdev_issue_discard" },
	{ 0x3916eed6, "fs_bio_set" },
	{ 0xd33a6638, "blk_next_bio" },
	{ 0xa24f23d8, "__request_module" },
	{ 0xf78717eb, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "configfs,nvme-auth,nvme-core,nvme-keyring");


MODULE_INFO(srcversion, "3851CC33E0DC87A3723E231");
