#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ctc_mpc_alloc_channel, "", "");
KSYMTAB_FUNC(ctc_mpc_establish_connectivity, "", "");
KSYMTAB_FUNC(ctc_mpc_dealloc_ch, "", "");
KSYMTAB_FUNC(ctc_mpc_flow_control, "", "");

SYMBOL_CRC(ctc_mpc_alloc_channel, 0x56f42138, "");
SYMBOL_CRC(ctc_mpc_establish_connectivity, 0x812fa936, "");
SYMBOL_CRC(ctc_mpc_dealloc_ch, 0x40b3051a, "");
SYMBOL_CRC(ctc_mpc_flow_control, 0xf5440dc6, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x30a0334f, "ccw_device_halt" },
	{ 0x15b49bac, "vscnprintf" },
	{ 0x466bc295, "skb_put" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x9d7ed35c, "consume_skb" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0xd3c5032f, "unregister_netdev" },
	{ 0x38c4ab14, "skb_dequeue" },
	{ 0xbef53f33, "scnprintf" },
	{ 0x5de8ef0e, "debug_set_level" },
	{ 0x591f6e9d, "debug_register" },
	{ 0x236c8c64, "memcpy" },
	{ 0xf0f9caae, "ccw_device_start" },
	{ 0x3b6c41ea, "kstrtouint" },
	{ 0x037a0cba, "kfree" },
	{ 0x076e1251, "dev_kfree_skb_irq_reason" },
	{ 0xa066fd6c, "__wake_up" },
	{ 0x2b5bdfb2, "get_device" },
	{ 0x331bbed3, "kfree_fsm" },
	{ 0x15e92bff, "_raw_spin_lock_irqsave" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x4d692f4c, "__dev_get_by_name" },
	{ 0x6b5b9b7a, "ccwgroup_create_dev" },
	{ 0xe783e261, "sysfs_emit" },
	{ 0xd5340eb7, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0xc0d5eaec, "vm_layout" },
	{ 0x8b5b8f60, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0x0296695f, "refcount_warn_saturate" },
	{ 0x8e0ca2b5, "__s390_indirect_jump_r4" },
	{ 0x18f0d887, "put_device" },
	{ 0x70ba95c1, "root_device_unregister" },
	{ 0x9b8d07aa, "strnlen" },
	{ 0xc2aa8405, "__alloc_skb" },
	{ 0xe5f78d28, "_dev_info" },
	{ 0x6ea74bf9, "skb_queue_tail" },
	{ 0x12882ee6, "sized_strscpy" },
	{ 0xd6601b74, "__s390_indirect_jump_r6" },
	{ 0x639271ab, "netdev_refcnt_read" },
	{ 0x0ea3c74e, "tasklet_kill" },
	{ 0xdf20006d, "fsm_settimer" },
	{ 0x43cc1466, "ccwgroup_probe_ccwdev" },
	{ 0x4598efb2, "__s390_indirect_jump_r9" },
	{ 0x081b9858, "_dev_err" },
	{ 0x026ddeb2, "init_net" },
	{ 0x40d4bfe9, "skb_pull" },
	{ 0x3c808261, "__root_device_register" },
	{ 0x8c8569cb, "kstrtoint" },
	{ 0x2364c85a, "tasklet_init" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0x1a4b3050, "skb_push" },
	{ 0xa1197263, "ccwgroup_driver_register" },
	{ 0x85abc85f, "strncmp" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5d3f4adf, "register_netdev" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0xa373650c, "free_netdev" },
	{ 0x350c1395, "__fortify_panic" },
	{ 0xf6b4ab94, "netif_tx_wake_queue" },
	{ 0xab62b304, "fsm_addtimer" },
	{ 0x18644b7d, "_dev_warn" },
	{ 0x560407bc, "ccw_device_set_offline" },
	{ 0x25266db1, "ccw_driver_register" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x98204828, "skb_dequeue_tail" },
	{ 0xed114c1e, "netif_rx" },
	{ 0x2bce8d93, "__netdev_alloc_skb" },
	{ 0xe798236d, "jiffies" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x6ced513f, "debug_hex_ascii_view" },
	{ 0xd2ad4385, "debug_unregister" },
	{ 0x84163072, "__s390_indirect_jump_r8" },
	{ 0x7eb2ad1c, "ccwgroup_driver_unregister" },
	{ 0xcfb38992, "ccwgroup_remove_ccwdev" },
	{ 0x82125a58, "debug_event_common" },
	{ 0xe8a7dd7d, "fsm_deltimer" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0xa6dfc6c2, "ccw_device_set_online" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x312e1b73, "init_fsm" },
	{ 0x3e3bad0a, "__tasklet_hi_schedule" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xaefe8672, "fsm_getstate_str" },
	{ 0x31ff917a, "dev_kfree_skb_any_reason" },
	{ 0x7aa83b98, "debug_register_view" },
	{ 0xbaa3a97f, "ccw_driver_unregister" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "fsm,ccwgroup");

MODULE_ALIAS("ccw:t3088m08dt*dm*");
MODULE_ALIAS("ccw:t3088m1Edt*dm*");
MODULE_ALIAS("ccw:t3088m1Fdt*dm*");

MODULE_INFO(srcversion, "CB6A7F6331245270523223F");
