#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");



static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x7d8e5885, "truncate_inode_pages" },
	{ 0xe91eefc4, "bh_uptodate_or_lock" },
	{ 0x55c12352, "generic_fillattr" },
	{ 0xa397e2b5, "setattr_prepare" },
	{ 0xaf8a8bbd, "vfs_fsync_range" },
	{ 0x1ea4b582, "clear_nlink" },
	{ 0x29519fd0, "sync_blockdev_range" },
	{ 0x73f88931, "generic_block_bmap" },
	{ 0xfbc87268, "vmemmap" },
	{ 0xbf9a5a1e, "__init_rwsem" },
	{ 0xdc39847e, "d_instantiate" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x284a13d2, "make_vfsgid" },
	{ 0x22db908e, "clear_inode" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x51965d43, "__kmalloc_noprof" },
	{ 0x3f205b2e, "fs_param_is_string" },
	{ 0x17eec4b4, "__s390_indirect_jump_r7" },
	{ 0x18bb7c40, "new_inode" },
	{ 0x3ef6c36f, "filemap_map_pages" },
	{ 0xd0f2f88e, "__s390_indirect_jump_r13" },
	{ 0x0d4ac35d, "unregister_filesystem" },
	{ 0x2fd7acc4, "mark_buffer_dirty" },
	{ 0x5c37d8ff, "security_inode_setattr" },
	{ 0xb01d79a3, "__find_get_block" },
	{ 0x4666c53a, "inode_needs_sync" },
	{ 0x46b2bf34, "inode_query_iversion" },
	{ 0xd4b1f671, "__blockdev_direct_IO" },
	{ 0x9f07d4f3, "d_make_root" },
	{ 0xf3457087, "__bforget" },
	{ 0x848e16c0, "sb_set_blocksize" },
	{ 0x210b3aca, "block_truncate_page" },
	{ 0x523e206c, "write_dirty_buffer" },
	{ 0x9f9ca7f6, "sync_filesystem" },
	{ 0xf48e1651, "fsnotify" },
	{ 0x25ba888c, "d_splice_alias" },
	{ 0xfdabc95a, "current_time" },
	{ 0x345f73b1, "folio_zero_new_buffers" },
	{ 0x236c8c64, "memcpy" },
	{ 0x1b00d661, "from_vfsuid" },
	{ 0x23866d62, "iunique" },
	{ 0x037a0cba, "kfree" },
	{ 0x239788f3, "iput" },
	{ 0xa7190c0f, "fs_param_is_enum" },
	{ 0xd7034fad, "fs_param_is_s32" },
	{ 0xd215629a, "wrap_directory_iterator" },
	{ 0xfa9c0e86, "iter_file_splice_write" },
	{ 0x4abda165, "register_filesystem" },
	{ 0x2524d12a, "bdev_thaw" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x8b2ec2e8, "make_vfsuid" },
	{ 0x96b9b33b, "simple_inode_init_ts" },
	{ 0xf2681071, "fs_param_is_u32" },
	{ 0x21a1ad33, "inode_newsize_ok" },
	{ 0x89e17204, "d_drop" },
	{ 0xcfc9216e, "kill_block_super" },
	{ 0xd5962287, "mnt_want_write_file" },
	{ 0x92997ed8, "_printk" },
	{ 0x3baec868, "block_invalidate_folio" },
	{ 0x6ce6c7f4, "__breadahead" },
	{ 0x47b48038, "generic_write_end" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x51e7b814, "load_nls" },
	{ 0x0dd4d7e8, "sync_blockdev" },
	{ 0x3ae113ce, "invalidate_inode_buffers" },
	{ 0xfd424813, "bdev_getblk" },
	{ 0xc6cbbc89, "capable" },
	{ 0xd969d6cd, "mnt_drop_write_file" },
	{ 0x85b2ded1, "fs_param_is_gid" },
	{ 0xb89fd42b, "inode_init_once" },
	{ 0x94bf03ca, "utf8_to_utf32" },
	{ 0x33aaef71, "__fsnotify_parent" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x7de7e564, "balance_dirty_pages_ratelimited" },
	{ 0xd056b320, "__brelse" },
	{ 0xd3cf1c01, "down_write" },
	{ 0xd2510a63, "up_write" },
	{ 0x0bb7f27e, "generic_file_read_iter" },
	{ 0x4940df7f, "inode_maybe_inc_iversion" },
	{ 0x6f5ef93d, "memchr_inv" },
	{ 0x0ac40e4a, "truncate_pagecache" },
	{ 0x1064752b, "sync_dirty_buffer" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xdca59cc3, "setattr_copy" },
	{ 0x0e7c5d08, "__wait_on_buffer" },
	{ 0xf52ac7b4, "set_nlink" },
	{ 0x860efa2c, "mutex_lock" },
	{ 0xd8744e87, "kmem_cache_alloc_lru_noprof" },
	{ 0xd8fc8b82, "kmem_cache_free" },
	{ 0x93605e9a, "vfsgid_in_group_p" },
	{ 0x99534d47, "d_move" },
	{ 0x49109e8f, "__s390_indirect_jump_r10" },
	{ 0x5ade5639, "__sync_dirty_buffer" },
	{ 0x4a01be04, "__bh_read" },
	{ 0x6915fcbd, "bdev_freeze" },
	{ 0xbefdc074, "mpage_writepages" },
	{ 0x62eec1d5, "panic" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xee469be1, "from_vfsgid" },
	{ 0x119249a8, "write_inode_now" },
	{ 0x5574d9a7, "iov_iter_alignment" },
	{ 0xd6241b14, "d_rehash" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x04a1e1f3, "__bread_gfp" },
	{ 0x71b902b1, "block_dirty_folio" },
	{ 0x18fd4899, "mpage_read_folio" },
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0x96df5618, "__insert_inode_hash" },
	{ 0xc85c88ed, "buffer_migrate_folio" },
	{ 0xce250547, "kmem_cache_alloc_noprof" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x8b577189, "__kmem_cache_create_args" },
	{ 0x49101887, "from_kgid_munged" },
	{ 0x868bde1d, "down_write_trylock" },
	{ 0x103bafd6, "down_read" },
	{ 0x07625784, "truncate_setsize" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x1b60f576, "igrab" },
	{ 0x9a2c9176, "generic_read_dir" },
	{ 0x86a8fb71, "mutex_unlock" },
	{ 0x874eba50, "mpage_readahead" },
	{ 0x0fb2f8a4, "mktime64" },
	{ 0x3096be16, "names_cachep" },
	{ 0x7d2a8a0a, "init_user_ns" },
	{ 0x3ffcc03e, "simple_rename_timestamp" },
	{ 0xe574e769, "d_find_alias" },
	{ 0x4022dec2, "filemap_page_mkwrite" },
	{ 0xc85db79a, "inode_set_ctime_current" },
	{ 0x19e4b75a, "inc_nlink" },
	{ 0x3b5dc54a, "seq_write" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0x00784ab9, "get_tree_bdev" },
	{ 0xe73ce315, "seq_printf" },
	{ 0x41304a78, "dput" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xfb709ff7, "iov_iter_zero" },
	{ 0xee9e8b36, "touch_atime" },
	{ 0xabf32f29, "utf16s_to_utf8s" },
	{ 0x0fff5afc, "time64_to_tm" },
	{ 0xf9712449, "blkdev_issue_flush" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0xcf93b3e0, "block_write_begin" },
	{ 0x56d746c8, "__fs_parse" },
	{ 0x0176de51, "filemap_splice_read" },
	{ 0xe1dc3fa8, "from_kuid_munged" },
	{ 0x0df3e8f4, "__generic_file_fsync" },
	{ 0x1e4e642d, "d_parent_ino" },
	{ 0x1818213b, "__generic_file_write_iter" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x542d82f4, "generic_write_checks" },
	{ 0x8302156d, "iov_iter_revert" },
	{ 0x7aa1756e, "kvfree" },
	{ 0xee745162, "filemap_fault" },
	{ 0x6ff3a485, "dynamic_might_resched" },
	{ 0x5aa90a92, "__mark_inode_dirty" },
	{ 0x86d9fab6, "generic_file_llseek" },
	{ 0x8c0c1c78, "__kvmalloc_node_noprof" },
	{ 0xd6f73d50, "unload_nls" },
	{ 0x555ccb97, "up_read" },
	{ 0xf5e2c4d8, "sb_min_blocksize" },
	{ 0x97adb487, "utf8s_to_utf16s" },
	{ 0x85914afa, "drop_nlink" },
	{ 0x6fc48021, "dynamic_cond_resched" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0xa953620c, "inode_set_ctime_to_ts" },
	{ 0x7fa241c5, "fs_param_is_uid" },
	{ 0xf78717eb, "kmem_cache_destroy" },
	{ 0x5242aa59, "blkdev_issue_discard" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "086B070FED64C1E0E70DF5D");
