#include <linux/module.h>
#include <linux/export-internal.h>
#include <linux/compiler.h>

MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

KSYMTAB_FUNC(ife_encode_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_check_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_encode_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_get_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_alloc_meta_u16, "_gpl", "");
KSYMTAB_FUNC(ife_release_meta_gen, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u32, "_gpl", "");
KSYMTAB_FUNC(ife_validate_meta_u16, "_gpl", "");
KSYMTAB_FUNC(unregister_ife_op, "_gpl", "");
KSYMTAB_FUNC(register_ife_op, "_gpl", "");

SYMBOL_CRC(ife_encode_meta_u16, 0xd6fd03b6, "_gpl");
SYMBOL_CRC(ife_get_meta_u32, 0x321a7ed0, "_gpl");
SYMBOL_CRC(ife_check_meta_u32, 0x18699b05, "_gpl");
SYMBOL_CRC(ife_check_meta_u16, 0x43a4e936, "_gpl");
SYMBOL_CRC(ife_encode_meta_u32, 0xaa037762, "_gpl");
SYMBOL_CRC(ife_get_meta_u16, 0x483c6977, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u32, 0xd8115b1b, "_gpl");
SYMBOL_CRC(ife_alloc_meta_u16, 0xfc0e8e3a, "_gpl");
SYMBOL_CRC(ife_release_meta_gen, 0x75c7267a, "_gpl");
SYMBOL_CRC(ife_validate_meta_u32, 0xd7a9660c, "_gpl");
SYMBOL_CRC(ife_validate_meta_u16, 0xf40f1d62, "_gpl");
SYMBOL_CRC(unregister_ife_op, 0x25f46e55, "_gpl");
SYMBOL_CRC(register_ife_op, 0xac7aa21e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xf9c9ed0d, "__s390_indirect_jump_r14" },
	{ 0xe7888e98, "ife_tlv_meta_encode" },
	{ 0x5297263d, "kmemdup_noprof" },
	{ 0x037a0cba, "kfree" },
	{ 0xc3403a48, "tcf_register_action" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xadbb3bc8, "tcf_idrinfo_destroy" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0x597b9c5b, "tcf_unregister_action" },
	{ 0x4c03a563, "random_kmalloc_seed" },
	{ 0xfbead0ca, "kmalloc_caches" },
	{ 0x18beccf3, "__kmalloc_cache_noprof" },
	{ 0xf0ea2318, "__mutex_init" },
	{ 0x0ff182e8, "nla_put" },
	{ 0xf773045f, "_raw_spin_lock_bh" },
	{ 0x4f827d75, "__s390_indirect_jump_r5" },
	{ 0x938e26b2, "module_put" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x9049d4a6, "__list_del_entry_valid_or_report" },
	{ 0xe798236d, "jiffies" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0x0fe70de3, "nla_put_64bit" },
	{ 0xff5b0ef7, "__s390_indirect_jump_r1" },
	{ 0x717e9bd1, "skb_trim" },
	{ 0x92997ed8, "_printk" },
	{ 0x70cc5f85, "_raw_write_lock" },
	{ 0xdaca820e, "dynamic_preempt_schedule" },
	{ 0xb7a7f577, "__list_add_valid_or_report" },
	{ 0x6a4a27df, "_raw_read_lock" },
	{ 0xce342ede, "try_module_get" },
	{ 0x3cd2ad1a, "ife_decode" },
	{ 0x67db2029, "ife_tlv_meta_decode" },
	{ 0x6210e871, "ife_tlv_meta_next" },
	{ 0x4c603bc4, "eth_type_trans" },
	{ 0xf4c3ce01, "___ratelimit" },
	{ 0x01720e88, "ife_encode" },
	{ 0xced53bed, "_raw_spin_lock" },
	{ 0x1a4b3050, "skb_push" },
	{ 0x40d4bfe9, "skb_pull" },
	{ 0x83f51840, "__nla_parse" },
	{ 0xaf9f7504, "tcf_idr_check_alloc" },
	{ 0xec837da8, "tcf_action_check_ctrlact" },
	{ 0xad3ee35e, "tcf_action_set_ctrlact" },
	{ 0x828d5000, "tcf_chain_put_by_act" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x00e8a172, "tcf_idr_release" },
	{ 0xd98b6e24, "tcf_idr_create" },
	{ 0xa26b1798, "tcf_idr_cleanup" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xbc5d4c35, "module_layout" },
};

MODULE_INFO(depends, "ife");


MODULE_INFO(srcversion, "820F4F832B3FC355EF413DB");
